/* VideoPlayer.c generated by valac 0.28.1, the Vala compiler
 * generated from VideoPlayer.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2013-2014 Audience Developers (http://launchpad.net/pantheon-chat)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Tom Beckmann <tomjonabc@gmail.com>
 *              Corentin Noël <corentin@elementaryos.org>
 */

#include <glib.h>
#include <glib-object.h>
#include <clutter/clutter.h>
#include <gst/gst.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <X11/Xlib.h>
#include <X11/Xatom.h>
#include <X11/Xutil.h>
#include <X11/Xregion.h>
#include <float.h>
#include <math.h>
#include <granite.h>
#include <gst/pbutils/pbutils.h>
#include <gtk/gtk.h>
#include <glib/gi18n-lib.h>


#define TYPE_PLAY_FLAGS (play_flags_get_type ())

#define AUDIENCE_WIDGETS_TYPE_VIDEO_PLAYER (audience_widgets_video_player_get_type ())
#define AUDIENCE_WIDGETS_VIDEO_PLAYER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), AUDIENCE_WIDGETS_TYPE_VIDEO_PLAYER, AudienceWidgetsVideoPlayer))
#define AUDIENCE_WIDGETS_VIDEO_PLAYER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), AUDIENCE_WIDGETS_TYPE_VIDEO_PLAYER, AudienceWidgetsVideoPlayerClass))
#define AUDIENCE_WIDGETS_IS_VIDEO_PLAYER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), AUDIENCE_WIDGETS_TYPE_VIDEO_PLAYER))
#define AUDIENCE_WIDGETS_IS_VIDEO_PLAYER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), AUDIENCE_WIDGETS_TYPE_VIDEO_PLAYER))
#define AUDIENCE_WIDGETS_VIDEO_PLAYER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), AUDIENCE_WIDGETS_TYPE_VIDEO_PLAYER, AudienceWidgetsVideoPlayerClass))

typedef struct _AudienceWidgetsVideoPlayer AudienceWidgetsVideoPlayer;
typedef struct _AudienceWidgetsVideoPlayerClass AudienceWidgetsVideoPlayerClass;
typedef struct _AudienceWidgetsVideoPlayerPrivate AudienceWidgetsVideoPlayerPrivate;

#define TYPE_GNOME_SESSION_MANAGER (gnome_session_manager_get_type ())
#define GNOME_SESSION_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_GNOME_SESSION_MANAGER, GnomeSessionManager))
#define IS_GNOME_SESSION_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_GNOME_SESSION_MANAGER))
#define GNOME_SESSION_MANAGER_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), TYPE_GNOME_SESSION_MANAGER, GnomeSessionManagerIface))

typedef struct _GnomeSessionManager GnomeSessionManager;
typedef struct _GnomeSessionManagerIface GnomeSessionManagerIface;

#define TYPE_GNOME_SESSION_MANAGER_PROXY (gnome_session_manager_proxy_get_type ())
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _XCloseDisplay0(var) ((var == NULL) ? NULL : (var = (XCloseDisplay (var), NULL)))

#define AUDIENCE_TYPE_SETTINGS (audience_settings_get_type ())
#define AUDIENCE_SETTINGS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), AUDIENCE_TYPE_SETTINGS, AudienceSettings))
#define AUDIENCE_SETTINGS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), AUDIENCE_TYPE_SETTINGS, AudienceSettingsClass))
#define AUDIENCE_IS_SETTINGS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), AUDIENCE_TYPE_SETTINGS))
#define AUDIENCE_IS_SETTINGS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), AUDIENCE_TYPE_SETTINGS))
#define AUDIENCE_SETTINGS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), AUDIENCE_TYPE_SETTINGS, AudienceSettingsClass))

typedef struct _AudienceSettings AudienceSettings;
typedef struct _AudienceSettingsClass AudienceSettingsClass;
#define _gst_structure_free0(var) ((var == NULL) ? NULL : (var = (gst_structure_free (var), NULL)))
#define _gst_message_unref0(var) ((var == NULL) ? NULL : (var = (gst_message_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define __vala_GstInstallPluginsContext_free0(var) ((var == NULL) ? NULL : (var = (_vala_GstInstallPluginsContext_free (var), NULL)))
#define __g_list_free__g_object_unref0_0(var) ((var == NULL) ? NULL : (var = (_g_list_free__g_object_unref0_ (var), NULL)))

typedef enum  {
	PLAY_FLAGS_VIDEO = 1 << 0,
	PLAY_FLAGS_AUDIO = 1 << 1,
	PLAY_FLAGS_TEXT = 1 << 2,
	PLAY_FLAGS_VIS = 1 << 3,
	PLAY_FLAGS_SOFT_VOLUME = 1 << 4,
	PLAY_FLAGS_NATIVE_AUDIO = 1 << 5,
	PLAY_FLAGS_NATIVE_VIDEO = 1 << 6,
	PLAY_FLAGS_DOWNLOAD = 1 << 7,
	PLAY_FLAGS_BUFFERING = 1 << 8,
	PLAY_FLAGS_DEINTERLACE = 1 << 9,
	PLAY_FLAGS_SOFT_COLORBALANCE = 1 << 10
} PlayFlags;

struct _GnomeSessionManagerIface {
	GTypeInterface parent_iface;
	gboolean (*isSessionRunning) (GnomeSessionManager* self, GError** error);
	guint32 (*Inhibit) (GnomeSessionManager* self, const gchar* app_id, guint32 toplevel_xid, const gchar* reason, guint32 flags, GError** error);
	void (*Uninhibit) (GnomeSessionManager* self, guint32 inhibit_cookie, GError** error);
};

struct _AudienceWidgetsVideoPlayer {
	ClutterActor parent_instance;
	AudienceWidgetsVideoPlayerPrivate * priv;
	gboolean at_end;
	GstElement* playbin;
	GnomeSessionManager* session_manager;
};

struct _AudienceWidgetsVideoPlayerClass {
	ClutterActorClass parent_class;
};

struct _AudienceWidgetsVideoPlayerPrivate {
	gboolean _playing;
	gchar* subtitle_uri;
	gchar* _subtitle_font;
	ClutterTexture* video;
	guint _video_width;
	guint _video_height;
	guint32 inhibit_cookie;
	gboolean intial_relayout;
	Display* dpy;
	gint timeout;
	gint interval;
	gint prefer_blanking;
	gint allow_exposures;
};


static gpointer audience_widgets_video_player_parent_class = NULL;
static AudienceWidgetsVideoPlayer* audience_widgets_video_player_video_player;
static AudienceWidgetsVideoPlayer* audience_widgets_video_player_video_player = NULL;
extern AudienceSettings* audience_settings;

GType play_flags_get_type (void) G_GNUC_CONST;
GType audience_widgets_video_player_get_type (void) G_GNUC_CONST;
GType gnome_session_manager_proxy_get_type (void) G_GNUC_CONST;
guint gnome_session_manager_register_object (void* object, GDBusConnection* connection, const gchar* path, GError** error);
GType gnome_session_manager_get_type (void) G_GNUC_CONST;
#define AUDIENCE_WIDGETS_VIDEO_PLAYER_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), AUDIENCE_WIDGETS_TYPE_VIDEO_PLAYER, AudienceWidgetsVideoPlayerPrivate))
enum  {
	AUDIENCE_WIDGETS_VIDEO_PLAYER_DUMMY_PROPERTY,
	AUDIENCE_WIDGETS_VIDEO_PLAYER_PLAYING,
	AUDIENCE_WIDGETS_VIDEO_PLAYER_PROGRESS,
	AUDIENCE_WIDGETS_VIDEO_PLAYER_VOLUME,
	AUDIENCE_WIDGETS_VIDEO_PLAYER_URI,
	AUDIENCE_WIDGETS_VIDEO_PLAYER_CURRENT_AUDIO,
	AUDIENCE_WIDGETS_VIDEO_PLAYER_CURRENT_TEXT,
	AUDIENCE_WIDGETS_VIDEO_PLAYER_SUBTITLE_FONT,
	AUDIENCE_WIDGETS_VIDEO_PLAYER_VIDEO_WIDTH,
	AUDIENCE_WIDGETS_VIDEO_PLAYER_VIDEO_HEIGHT
};
AudienceWidgetsVideoPlayer* audience_widgets_video_player_get_default (void);
static AudienceWidgetsVideoPlayer* audience_widgets_video_player_new (void);
static AudienceWidgetsVideoPlayer* audience_widgets_video_player_construct (GType object_type);
static inline void _dynamic_set_texture3 (GstElement* obj, ClutterTexture* value);
static inline void _dynamic_set_video_sink4 (GstElement* obj, GstElement* value);
static gboolean __lambda11_ (AudienceWidgetsVideoPlayer* self);
static gboolean ___lambda11__gsource_func (gpointer self);
static void audience_widgets_video_player_update_subtitle_font (AudienceWidgetsVideoPlayer* self);
GType audience_settings_get_type (void) G_GNUC_CONST;
static void __lambda12_ (AudienceWidgetsVideoPlayer* self);
static void ___lambda12__granite_services_settings_changed (GraniteServicesSettings* _sender, gpointer self);
static void __lambda13_ (AudienceWidgetsVideoPlayer* self);
static void ___lambda13__dynamic_about_to_finish0_ (GstElement* _sender, gpointer self);
gulong _dynamic_about_to_finish1_connect (gpointer obj, const char * signal_name, GCallback handler, gpointer data);
static void __lambda14_ (AudienceWidgetsVideoPlayer* self, GstElement* el);
static void ___lambda14__dynamic_text_tags_changed2_ (GstElement* _sender, gpointer self);
gulong _dynamic_text_tags_changed3_connect (gpointer obj, const char * signal_name, GCallback handler, gpointer data);
static void __lambda15_ (AudienceWidgetsVideoPlayer* self, GstElement* el);
static void ___lambda15__dynamic_audio_tags_changed4_ (GstElement* _sender, gpointer self);
gulong _dynamic_audio_tags_changed5_connect (gpointer obj, const char * signal_name, GCallback handler, gpointer data);
static void audience_widgets_video_player_watch (AudienceWidgetsVideoPlayer* self);
static void _audience_widgets_video_player_watch_gst_bus_message (GstBus* _sender, GstMessage* message, gpointer self);
static void audience_widgets_video_player_show_error (AudienceWidgetsVideoPlayer* self, const gchar* message);
static void audience_widgets_video_player_handle_missing_plugin (AudienceWidgetsVideoPlayer* self, GstMessage* msg);
void audience_widgets_video_player_set_subtitle_uri (AudienceWidgetsVideoPlayer* self, const gchar* uri);
static gboolean audience_widgets_video_player_check_text_layer (AudienceWidgetsVideoPlayer* self, gboolean enable);
static void audience_widgets_video_player_apply_subtitles (AudienceWidgetsVideoPlayer* self);
static inline void _dynamic_set_suburi5 (GstElement* obj, const gchar* value);
gboolean audience_widgets_video_player_relayout (AudienceWidgetsVideoPlayer* self);
guint audience_widgets_video_player_get_video_width (AudienceWidgetsVideoPlayer* self);
guint audience_widgets_video_player_get_video_height (AudienceWidgetsVideoPlayer* self);
gchar* audience_widgets_video_player_get_uri (AudienceWidgetsVideoPlayer* self);
static void ___lambda16_ (AudienceWidgetsVideoPlayer* self);
void audience_widgets_video_player_set_playing (AudienceWidgetsVideoPlayer* self, gboolean value);
static void ____lambda16__gst_install_plugins_result_func (GstInstallPluginsReturn _result_, gpointer self);
static void _vala_GstInstallPluginsContext_free (GstInstallPluginsContext* self);
static void audience_widgets_video_player_set_screensaver (AudienceWidgetsVideoPlayer* self, gboolean enable);
static void audience_widgets_video_player_set_screenlock (AudienceWidgetsVideoPlayer* self, gboolean enable);
void gnome_session_manager_Uninhibit (GnomeSessionManager* self, guint32 inhibit_cookie, GError** error);
guint32 gnome_session_manager_Inhibit (GnomeSessionManager* self, const gchar* app_id, guint32 toplevel_xid, const gchar* reason, guint32 flags, GError** error);
void audience_widgets_video_player_seek_jump_seconds (AudienceWidgetsVideoPlayer* self, gint seconds);
static guint audience_widgets_video_player_query_video_width (AudienceWidgetsVideoPlayer* self, GstDiscovererVideoInfo* video_info);
static gdouble audience_widgets_video_player_get_video_par (AudienceWidgetsVideoPlayer* self, GstDiscovererVideoInfo* video_info);
const gchar* audience_settings_get_subtitle_font (AudienceSettings* self);
void audience_widgets_video_player_set_subtitle_font (AudienceWidgetsVideoPlayer* self, const gchar* value);
gboolean audience_widgets_video_player_get_playing (AudienceWidgetsVideoPlayer* self);
gdouble audience_widgets_video_player_get_progress (AudienceWidgetsVideoPlayer* self);
void audience_widgets_video_player_set_progress (AudienceWidgetsVideoPlayer* self, gdouble value);
gdouble audience_widgets_video_player_get_volume (AudienceWidgetsVideoPlayer* self);
static inline gdouble _dynamic_get_volume6 (GstElement* obj);
void audience_widgets_video_player_set_volume (AudienceWidgetsVideoPlayer* self, gdouble value);
static inline void _dynamic_set_volume7 (GstElement* obj, gdouble value);
static inline gchar* _dynamic_get_current_uri8 (GstElement* obj);
void audience_widgets_video_player_set_uri (AudienceWidgetsVideoPlayer* self, const gchar* value);
static inline GstElement* _dynamic_get_uri9 (GstElement* obj);
static void audience_widgets_video_player_set_video_height (AudienceWidgetsVideoPlayer* self, guint value);
static void audience_widgets_video_player_set_video_width (AudienceWidgetsVideoPlayer* self, guint value);
static void _g_object_unref0_ (gpointer var);
static void _g_list_free__g_object_unref0_ (GList* self);
static inline void _dynamic_set_suburi10 (GstElement* obj, gpointer value);
static inline void _dynamic_set_uri11 (GstElement* obj, const gchar* value);
gint audience_widgets_video_player_get_current_audio (AudienceWidgetsVideoPlayer* self);
static inline gint _dynamic_get_current_audio12 (GstElement* obj);
void audience_widgets_video_player_set_current_audio (AudienceWidgetsVideoPlayer* self, gint value);
static inline void _dynamic_set_current_audio13 (GstElement* obj, gint value);
gint audience_widgets_video_player_get_current_text (AudienceWidgetsVideoPlayer* self);
static inline gint _dynamic_get_current_text14 (GstElement* obj);
void audience_widgets_video_player_set_current_text (AudienceWidgetsVideoPlayer* self, gint value);
static inline void _dynamic_set_current_text15 (GstElement* obj, gint value);
static inline void _dynamic_set_current_text16 (GstElement* obj, gint value);
const gchar* audience_widgets_video_player_get_subtitle_font (AudienceWidgetsVideoPlayer* self);
static void g_cclosure_user_marshal_VOID__UINT_UINT (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data);
static void g_cclosure_user_marshal_VOID__DOUBLE_DOUBLE (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data);
static void audience_widgets_video_player_finalize (GObject* obj);
static void _vala_audience_widgets_video_player_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_audience_widgets_video_player_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);


GType play_flags_get_type (void) {
	static volatile gsize play_flags_type_id__volatile = 0;
	if (g_once_init_enter (&play_flags_type_id__volatile)) {
		static const GEnumValue values[] = {{PLAY_FLAGS_VIDEO, "PLAY_FLAGS_VIDEO", "video"}, {PLAY_FLAGS_AUDIO, "PLAY_FLAGS_AUDIO", "audio"}, {PLAY_FLAGS_TEXT, "PLAY_FLAGS_TEXT", "text"}, {PLAY_FLAGS_VIS, "PLAY_FLAGS_VIS", "vis"}, {PLAY_FLAGS_SOFT_VOLUME, "PLAY_FLAGS_SOFT_VOLUME", "soft-volume"}, {PLAY_FLAGS_NATIVE_AUDIO, "PLAY_FLAGS_NATIVE_AUDIO", "native-audio"}, {PLAY_FLAGS_NATIVE_VIDEO, "PLAY_FLAGS_NATIVE_VIDEO", "native-video"}, {PLAY_FLAGS_DOWNLOAD, "PLAY_FLAGS_DOWNLOAD", "download"}, {PLAY_FLAGS_BUFFERING, "PLAY_FLAGS_BUFFERING", "buffering"}, {PLAY_FLAGS_DEINTERLACE, "PLAY_FLAGS_DEINTERLACE", "deinterlace"}, {PLAY_FLAGS_SOFT_COLORBALANCE, "PLAY_FLAGS_SOFT_COLORBALANCE", "soft-colorbalance"}, {0, NULL, NULL}};
		GType play_flags_type_id;
		play_flags_type_id = g_enum_register_static ("PlayFlags", values);
		g_once_init_leave (&play_flags_type_id__volatile, play_flags_type_id);
	}
	return play_flags_type_id__volatile;
}


static gpointer _g_object_ref0 (gpointer self) {
#line 44 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	return self ? g_object_ref (self) : NULL;
#line 254 "VideoPlayer.c"
}


AudienceWidgetsVideoPlayer* audience_widgets_video_player_get_default (void) {
	AudienceWidgetsVideoPlayer* result = NULL;
	AudienceWidgetsVideoPlayer* _tmp0_ = NULL;
	AudienceWidgetsVideoPlayer* _tmp2_ = NULL;
	AudienceWidgetsVideoPlayer* _tmp3_ = NULL;
#line 42 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = audience_widgets_video_player_video_player;
#line 42 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (_tmp0_ == NULL) {
#line 267 "VideoPlayer.c"
		AudienceWidgetsVideoPlayer* _tmp1_ = NULL;
#line 43 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp1_ = audience_widgets_video_player_new ();
#line 43 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		g_object_ref_sink (_tmp1_);
#line 43 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_g_object_unref0 (audience_widgets_video_player_video_player);
#line 43 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		audience_widgets_video_player_video_player = _tmp1_;
#line 277 "VideoPlayer.c"
	}
#line 44 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp2_ = audience_widgets_video_player_video_player;
#line 44 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp3_ = _g_object_ref0 (_tmp2_);
#line 44 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	result = _tmp3_;
#line 44 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	return result;
#line 287 "VideoPlayer.c"
}


static inline void _dynamic_set_texture3 (GstElement* obj, ClutterTexture* value) {
#line 195 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_set (obj, "texture", value, NULL);
#line 294 "VideoPlayer.c"
}


static inline void _dynamic_set_video_sink4 (GstElement* obj, GstElement* value) {
#line 198 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_set (obj, "video-sink", value, NULL);
#line 301 "VideoPlayer.c"
}


static gboolean __lambda11_ (AudienceWidgetsVideoPlayer* self) {
	gboolean result = FALSE;
	gint64 length = 0LL;
	gint64 prog = 0LL;
	GstElement* _tmp0_ = NULL;
	gint64 _tmp1_ = 0LL;
	GstElement* _tmp2_ = NULL;
	gint64 _tmp3_ = 0LL;
	gint64 _tmp4_ = 0LL;
	gint64 _tmp5_ = 0LL;
	gint64 _tmp6_ = 0LL;
#line 203 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = self->playbin;
#line 203 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gst_element_query_position (_tmp0_, GST_FORMAT_TIME, &_tmp1_);
#line 203 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	prog = _tmp1_;
#line 204 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp2_ = self->playbin;
#line 204 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gst_element_query_duration (_tmp2_, GST_FORMAT_TIME, &_tmp3_);
#line 204 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	length = _tmp3_;
#line 205 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp4_ = length;
#line 205 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (_tmp4_ == ((gint64) 0)) {
#line 206 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		result = TRUE;
#line 206 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		return result;
#line 336 "VideoPlayer.c"
	}
#line 208 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp5_ = prog;
#line 208 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp6_ = length;
#line 208 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_signal_emit_by_name (self, "progression-changed", (gdouble) _tmp5_, (gdouble) _tmp6_);
#line 209 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	result = TRUE;
#line 209 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	return result;
#line 348 "VideoPlayer.c"
}


static gboolean ___lambda11__gsource_func (gpointer self) {
	gboolean result;
	result = __lambda11_ ((AudienceWidgetsVideoPlayer*) self);
#line 201 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	return result;
#line 357 "VideoPlayer.c"
}


static void __lambda12_ (AudienceWidgetsVideoPlayer* self) {
#line 214 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	audience_widgets_video_player_update_subtitle_font (self);
#line 364 "VideoPlayer.c"
}


static void ___lambda12__granite_services_settings_changed (GraniteServicesSettings* _sender, gpointer self) {
#line 213 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	__lambda12_ ((AudienceWidgetsVideoPlayer*) self);
#line 371 "VideoPlayer.c"
}


static void __lambda13_ (AudienceWidgetsVideoPlayer* self) {
	gboolean _tmp0_ = FALSE;
#line 218 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = self->at_end;
#line 218 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (!_tmp0_) {
#line 219 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		self->at_end = TRUE;
#line 220 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		g_signal_emit_by_name (self, "ended");
#line 385 "VideoPlayer.c"
	}
}


static void ___lambda13__dynamic_about_to_finish0_ (GstElement* _sender, gpointer self) {
#line 217 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	__lambda13_ ((AudienceWidgetsVideoPlayer*) self);
#line 393 "VideoPlayer.c"
}


gulong _dynamic_about_to_finish1_connect (gpointer obj, const char * signal_name, GCallback handler, gpointer data) {
#line 217 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	return g_signal_connect_object (obj, signal_name, handler, data, 0);
#line 400 "VideoPlayer.c"
}


static void __lambda14_ (AudienceWidgetsVideoPlayer* self, GstElement* el) {
	GstStructure* structure = NULL;
	GstStructure* _tmp0_ = NULL;
	GstStructure* _tmp1_ = NULL;
	GValue _tmp2_ = {0};
	GstElement* _tmp3_ = NULL;
	GstElement* _tmp4_ = NULL;
	GstStructure* _tmp5_ = NULL;
	GstMessage* _tmp6_ = NULL;
#line 224 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_if_fail (el != NULL);
#line 225 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = gst_structure_new_empty ("tags-changed");
#line 225 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	structure = _tmp0_;
#line 226 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp1_ = structure;
#line 226 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_value_init (&_tmp2_, G_TYPE_STRING);
#line 226 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_value_set_string (&_tmp2_, "text");
#line 226 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gst_structure_set_value (_tmp1_, "type", &_tmp2_);
#line 226 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	G_IS_VALUE (&_tmp2_) ? (g_value_unset (&_tmp2_), NULL) : NULL;
#line 227 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp3_ = el;
#line 227 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp4_ = el;
#line 227 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp5_ = structure;
#line 227 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	structure = NULL;
#line 227 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp6_ = gst_message_new_application ((GstObject*) _tmp4_, _tmp5_);
#line 227 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gst_element_post_message (_tmp3_, _tmp6_);
#line 224 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_gst_structure_free0 (structure);
#line 443 "VideoPlayer.c"
}


static void ___lambda14__dynamic_text_tags_changed2_ (GstElement* _sender, gpointer self) {
#line 224 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	__lambda14_ ((AudienceWidgetsVideoPlayer*) self, _sender);
#line 450 "VideoPlayer.c"
}


gulong _dynamic_text_tags_changed3_connect (gpointer obj, const char * signal_name, GCallback handler, gpointer data) {
#line 224 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	return g_signal_connect_object (obj, signal_name, handler, data, 0);
#line 457 "VideoPlayer.c"
}


static void __lambda15_ (AudienceWidgetsVideoPlayer* self, GstElement* el) {
	GstStructure* structure = NULL;
	GstStructure* _tmp0_ = NULL;
	GstStructure* _tmp1_ = NULL;
	GValue _tmp2_ = {0};
	GstElement* _tmp3_ = NULL;
	GstElement* _tmp4_ = NULL;
	GstStructure* _tmp5_ = NULL;
	GstMessage* _tmp6_ = NULL;
#line 230 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_if_fail (el != NULL);
#line 231 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = gst_structure_new_empty ("tags-changed");
#line 231 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	structure = _tmp0_;
#line 232 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp1_ = structure;
#line 232 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_value_init (&_tmp2_, G_TYPE_STRING);
#line 232 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_value_set_string (&_tmp2_, "audio");
#line 232 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gst_structure_set_value (_tmp1_, "type", &_tmp2_);
#line 232 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	G_IS_VALUE (&_tmp2_) ? (g_value_unset (&_tmp2_), NULL) : NULL;
#line 233 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp3_ = el;
#line 233 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp4_ = el;
#line 233 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp5_ = structure;
#line 233 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	structure = NULL;
#line 233 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp6_ = gst_message_new_application ((GstObject*) _tmp4_, _tmp5_);
#line 233 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gst_element_post_message (_tmp3_, _tmp6_);
#line 230 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_gst_structure_free0 (structure);
#line 500 "VideoPlayer.c"
}


static void ___lambda15__dynamic_audio_tags_changed4_ (GstElement* _sender, gpointer self) {
#line 230 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	__lambda15_ ((AudienceWidgetsVideoPlayer*) self, _sender);
#line 507 "VideoPlayer.c"
}


gulong _dynamic_audio_tags_changed5_connect (gpointer obj, const char * signal_name, GCallback handler, gpointer data) {
#line 230 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	return g_signal_connect_object (obj, signal_name, handler, data, 0);
#line 514 "VideoPlayer.c"
}


static void _audience_widgets_video_player_watch_gst_bus_message (GstBus* _sender, GstMessage* message, gpointer self) {
#line 237 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	audience_widgets_video_player_watch ((AudienceWidgetsVideoPlayer*) self);
#line 521 "VideoPlayer.c"
}


static AudienceWidgetsVideoPlayer* audience_widgets_video_player_construct (GType object_type) {
	AudienceWidgetsVideoPlayer * self = NULL;
	ClutterTexture* _tmp0_ = NULL;
	GstElement* video_sink = NULL;
	GstElement* _tmp1_ = NULL;
	ClutterTexture* _tmp2_ = NULL;
	GstElement* _tmp3_ = NULL;
	GstElement* _tmp4_ = NULL;
	ClutterTexture* _tmp5_ = NULL;
	AudienceSettings* _tmp6_ = NULL;
	GstElement* _tmp7_ = NULL;
	GstElement* _tmp8_ = NULL;
	GstElement* _tmp9_ = NULL;
	GstElement* _tmp10_ = NULL;
	GstBus* _tmp11_ = NULL;
	GstBus* _tmp12_ = NULL;
	GstElement* _tmp13_ = NULL;
	GstBus* _tmp14_ = NULL;
	GstBus* _tmp15_ = NULL;
#line 191 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	self = (AudienceWidgetsVideoPlayer*) g_object_new (object_type, NULL);
#line 192 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = (ClutterTexture*) clutter_texture_new ();
#line 192 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_ref_sink (_tmp0_);
#line 192 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_object_unref0 (self->priv->video);
#line 192 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	self->priv->video = _tmp0_;
#line 194 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp1_ = gst_element_factory_make ("cluttersink", "source");
#line 194 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (_tmp1_ != NULL) {
#line 194 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		g_object_ref_sink (_tmp1_);
#line 560 "VideoPlayer.c"
	}
#line 194 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	video_sink = _tmp1_;
#line 195 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp2_ = self->priv->video;
#line 195 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_dynamic_set_texture3 (video_sink, _tmp2_);
#line 197 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp3_ = gst_element_factory_make ("playbin", "playbin");
#line 197 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (_tmp3_ != NULL) {
#line 197 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		g_object_ref_sink (_tmp3_);
#line 574 "VideoPlayer.c"
	}
#line 197 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_object_unref0 (self->playbin);
#line 197 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	self->playbin = _tmp3_;
#line 198 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp4_ = self->playbin;
#line 198 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_dynamic_set_video_sink4 (_tmp4_, video_sink);
#line 200 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp5_ = self->priv->video;
#line 200 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	clutter_actor_add_child ((ClutterActor*) self, (ClutterActor*) _tmp5_);
#line 201 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_timeout_add_full (G_PRIORITY_DEFAULT, (guint) 100, ___lambda11__gsource_func, g_object_ref (self), g_object_unref);
#line 212 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	audience_widgets_video_player_update_subtitle_font (self);
#line 213 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp6_ = audience_settings;
#line 213 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_signal_connect_object ((GraniteServicesSettings*) _tmp6_, "changed", (GCallback) ___lambda12__granite_services_settings_changed, self, 0);
#line 217 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp7_ = self->playbin;
#line 217 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_dynamic_about_to_finish1_connect (_tmp7_, "about_to_finish", (GCallback) ___lambda13__dynamic_about_to_finish0_, self);
#line 224 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp8_ = self->playbin;
#line 224 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_dynamic_text_tags_changed3_connect (_tmp8_, "text_tags_changed", (GCallback) ___lambda14__dynamic_text_tags_changed2_, self);
#line 230 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp9_ = self->playbin;
#line 230 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_dynamic_audio_tags_changed5_connect (_tmp9_, "audio_tags_changed", (GCallback) ___lambda15__dynamic_audio_tags_changed4_, self);
#line 236 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp10_ = self->playbin;
#line 236 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp11_ = gst_element_get_bus (_tmp10_);
#line 236 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp12_ = _tmp11_;
#line 236 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gst_bus_add_signal_watch_full (_tmp12_, G_PRIORITY_DEFAULT);
#line 236 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_object_unref0 (_tmp12_);
#line 237 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp13_ = self->playbin;
#line 237 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp14_ = gst_element_get_bus (_tmp13_);
#line 237 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp15_ = _tmp14_;
#line 237 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_signal_connect_object (_tmp15_, "message", (GCallback) _audience_widgets_video_player_watch_gst_bus_message, self, 0);
#line 237 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_object_unref0 (_tmp15_);
#line 191 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_object_unref0 (video_sink);
#line 191 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	return self;
#line 632 "VideoPlayer.c"
}


static AudienceWidgetsVideoPlayer* audience_widgets_video_player_new (void) {
#line 191 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	return audience_widgets_video_player_construct (AUDIENCE_WIDGETS_TYPE_VIDEO_PLAYER);
#line 639 "VideoPlayer.c"
}


static void audience_widgets_video_player_watch (AudienceWidgetsVideoPlayer* self) {
	GstMessage* msg = NULL;
	GstElement* _tmp0_ = NULL;
	GstBus* _tmp1_ = NULL;
	GstBus* _tmp2_ = NULL;
	GstMessage* _tmp3_ = NULL;
	GstMessage* _tmp4_ = NULL;
	GstMessage* _tmp5_ = NULL;
	GstMessage* _tmp6_ = NULL;
	GstMessageType _tmp7_ = 0;
#line 240 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_if_fail (self != NULL);
#line 241 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = self->playbin;
#line 241 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp1_ = gst_element_get_bus (_tmp0_);
#line 241 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp2_ = _tmp1_;
#line 241 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp3_ = gst_bus_peek (_tmp2_);
#line 241 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp4_ = _tmp3_;
#line 241 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_object_unref0 (_tmp2_);
#line 241 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	msg = _tmp4_;
#line 242 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp5_ = msg;
#line 242 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (_tmp5_ == NULL) {
#line 243 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_gst_message_unref0 (msg);
#line 243 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		return;
#line 677 "VideoPlayer.c"
	}
#line 245 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp6_ = msg;
#line 245 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp7_ = _tmp6_->type;
#line 245 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	switch (_tmp7_) {
#line 245 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		case GST_MESSAGE_APPLICATION:
#line 687 "VideoPlayer.c"
		{
			GstMessage* _tmp8_ = NULL;
			GstStructure* _tmp9_ = NULL;
			const gchar* _tmp10_ = NULL;
#line 247 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp8_ = msg;
#line 247 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp9_ = gst_message_get_structure (_tmp8_);
#line 247 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp10_ = gst_structure_get_name (_tmp9_);
#line 247 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			if (g_strcmp0 (_tmp10_, "tags-changed") == 0) {
#line 700 "VideoPlayer.c"
				GstMessage* _tmp11_ = NULL;
				GstStructure* _tmp12_ = NULL;
				const gchar* _tmp13_ = NULL;
#line 248 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
				_tmp11_ = msg;
#line 248 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
				_tmp12_ = gst_message_get_structure (_tmp11_);
#line 248 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
				_tmp13_ = gst_structure_get_string (_tmp12_, "type");
#line 248 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
				if (g_strcmp0 (_tmp13_, "text") == 0) {
#line 249 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
					g_signal_emit_by_name (self, "text-tags-changed");
#line 714 "VideoPlayer.c"
				} else {
#line 251 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
					g_signal_emit_by_name (self, "audio-tags-changed");
#line 718 "VideoPlayer.c"
				}
			}
#line 253 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			break;
#line 723 "VideoPlayer.c"
		}
#line 245 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		case GST_MESSAGE_ERROR:
#line 727 "VideoPlayer.c"
		{
			GError* e = NULL;
			gchar* detail = NULL;
			GstMessage* _tmp14_ = NULL;
			GError* _tmp15_ = NULL;
			gchar* _tmp16_ = NULL;
			GstElement* _tmp17_ = NULL;
			const gchar* _tmp18_ = NULL;
			GError* _tmp19_ = NULL;
			const gchar* _tmp20_ = NULL;
#line 256 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp14_ = msg;
#line 256 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			gst_message_parse_error (_tmp14_, &_tmp15_, &_tmp16_);
#line 256 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_g_error_free0 (e);
#line 256 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			e = _tmp15_;
#line 256 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_g_free0 (detail);
#line 256 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			detail = _tmp16_;
#line 257 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp17_ = self->playbin;
#line 257 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			gst_element_set_state (_tmp17_, GST_STATE_NULL);
#line 259 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp18_ = detail;
#line 259 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			g_warning ("VideoPlayer.vala:259: %s", _tmp18_);
#line 261 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp19_ = e;
#line 261 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp20_ = _tmp19_->message;
#line 261 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			audience_widgets_video_player_show_error (self, _tmp20_);
#line 262 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_g_free0 (detail);
#line 262 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_g_error_free0 (e);
#line 262 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			break;
#line 770 "VideoPlayer.c"
		}
#line 245 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		case GST_MESSAGE_EOS:
#line 774 "VideoPlayer.c"
		{
			GstElement* _tmp21_ = NULL;
#line 264 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp21_ = self->playbin;
#line 264 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			gst_element_set_state (_tmp21_, GST_STATE_READY);
#line 265 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			break;
#line 783 "VideoPlayer.c"
		}
#line 245 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		case GST_MESSAGE_ELEMENT:
#line 787 "VideoPlayer.c"
		{
			GstMessage* _tmp22_ = NULL;
			GstStructure* _tmp23_ = NULL;
			GstMessage* _tmp24_ = NULL;
			gboolean _tmp25_ = FALSE;
#line 267 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp22_ = msg;
#line 267 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp23_ = gst_message_get_structure (_tmp22_);
#line 267 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			if (_tmp23_ == NULL) {
#line 268 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
				break;
#line 801 "VideoPlayer.c"
			}
#line 270 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp24_ = msg;
#line 270 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp25_ = gst_is_missing_plugin_message (_tmp24_);
#line 270 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			if (_tmp25_) {
#line 809 "VideoPlayer.c"
				GstElement* _tmp26_ = NULL;
				GstMessage* _tmp27_ = NULL;
#line 271 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
				g_signal_emit_by_name (self, "error");
#line 272 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
				_tmp26_ = self->playbin;
#line 272 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
				gst_element_set_state (_tmp26_, GST_STATE_NULL);
#line 274 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
				_tmp27_ = msg;
#line 274 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
				audience_widgets_video_player_handle_missing_plugin (self, _tmp27_);
#line 822 "VideoPlayer.c"
			}
#line 291 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			break;
#line 826 "VideoPlayer.c"
		}
		default:
		{
#line 293 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			break;
#line 832 "VideoPlayer.c"
		}
	}
#line 240 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_gst_message_unref0 (msg);
#line 837 "VideoPlayer.c"
}


void audience_widgets_video_player_set_subtitle_uri (AudienceWidgetsVideoPlayer* self, const gchar* uri) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
#line 297 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_if_fail (self != NULL);
#line 298 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = uri;
#line 298 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 298 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_free0 (self->priv->subtitle_uri);
#line 298 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	self->priv->subtitle_uri = _tmp1_;
#line 299 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp2_ = self->priv->subtitle_uri;
#line 299 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp3_ = audience_widgets_video_player_check_text_layer (self, _tmp2_ != NULL);
#line 299 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (!_tmp3_) {
#line 862 "VideoPlayer.c"
		const gchar* _tmp4_ = NULL;
#line 300 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		audience_widgets_video_player_apply_subtitles (self);
#line 301 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp4_ = uri;
#line 301 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		g_signal_emit_by_name (self, "external-subtitle-changed", _tmp4_);
#line 870 "VideoPlayer.c"
	}
}


static gboolean audience_widgets_video_player_check_text_layer (AudienceWidgetsVideoPlayer* self, gboolean enable) {
	gboolean result = FALSE;
	gint flags = 0;
	GstElement* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
#line 307 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 309 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = self->playbin;
#line 309 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_get ((GObject*) _tmp0_, "flags", &flags, NULL);
#line 311 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp2_ = enable;
#line 311 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (!_tmp2_) {
#line 891 "VideoPlayer.c"
		gint _tmp3_ = 0;
#line 311 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp3_ = flags;
#line 311 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp1_ = (_tmp3_ & PLAY_FLAGS_TEXT) > 0;
#line 897 "VideoPlayer.c"
	} else {
#line 311 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp1_ = FALSE;
#line 901 "VideoPlayer.c"
	}
#line 311 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (_tmp1_) {
#line 905 "VideoPlayer.c"
		gint _tmp4_ = 0;
		GstElement* _tmp5_ = NULL;
		gint _tmp6_ = 0;
#line 312 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp4_ = flags;
#line 312 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		flags = _tmp4_ & (~PLAY_FLAGS_TEXT);
#line 313 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp5_ = self->playbin;
#line 313 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp6_ = flags;
#line 313 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		g_object_set ((GObject*) _tmp5_, "flags", _tmp6_, NULL);
#line 919 "VideoPlayer.c"
	} else {
		gboolean _tmp7_ = FALSE;
		gboolean _tmp8_ = FALSE;
#line 314 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp8_ = enable;
#line 314 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		if (_tmp8_) {
#line 927 "VideoPlayer.c"
			gint _tmp9_ = 0;
#line 314 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp9_ = flags;
#line 314 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp7_ = (_tmp9_ & PLAY_FLAGS_TEXT) < 1;
#line 933 "VideoPlayer.c"
		} else {
#line 314 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp7_ = FALSE;
#line 937 "VideoPlayer.c"
		}
#line 314 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		if (_tmp7_) {
#line 941 "VideoPlayer.c"
			gint _tmp10_ = 0;
			GstElement* _tmp11_ = NULL;
			gint _tmp12_ = 0;
#line 315 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp10_ = flags;
#line 315 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			flags = _tmp10_ | PLAY_FLAGS_TEXT;
#line 316 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp11_ = self->playbin;
#line 316 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp12_ = flags;
#line 316 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			g_object_set ((GObject*) _tmp11_, "flags", _tmp12_, NULL);
#line 317 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			audience_widgets_video_player_apply_subtitles (self);
#line 318 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			result = TRUE;
#line 318 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			return result;
#line 961 "VideoPlayer.c"
		}
	}
#line 321 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	result = FALSE;
#line 321 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	return result;
#line 968 "VideoPlayer.c"
}


static inline void _dynamic_set_suburi5 (GstElement* obj, const gchar* value) {
#line 338 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_set (obj, "suburi", value, NULL);
#line 975 "VideoPlayer.c"
}


static void audience_widgets_video_player_apply_subtitles (AudienceWidgetsVideoPlayer* self) {
	gint64 time = 0LL;
	GstElement* _tmp0_ = NULL;
	gint64 _tmp1_ = 0LL;
	GstElement* _tmp2_ = NULL;
	GstState current = 0;
	GstElement* _tmp3_ = NULL;
	GstState _tmp4_ = 0;
	GstState _tmp5_ = 0;
	GstElement* _tmp8_ = NULL;
	const gchar* _tmp9_ = NULL;
	GstState _tmp10_ = 0;
	GstElement* _tmp14_ = NULL;
	GstElement* _tmp15_ = NULL;
	gint64 _tmp16_ = 0LL;
	GstState _tmp17_ = 0;
#line 325 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_if_fail (self != NULL);
#line 327 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = self->playbin;
#line 327 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gst_element_query_position (_tmp0_, GST_FORMAT_TIME, &_tmp1_);
#line 327 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	time = _tmp1_;
#line 329 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp2_ = self->playbin;
#line 329 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gst_element_get_state (_tmp2_, NULL, NULL, GST_CLOCK_TIME_NONE);
#line 332 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp3_ = self->playbin;
#line 332 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gst_element_get_state (_tmp3_, &_tmp4_, NULL, GST_CLOCK_TIME_NONE);
#line 332 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	current = _tmp4_;
#line 333 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp5_ = current;
#line 333 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (_tmp5_ > GST_STATE_READY) {
#line 1017 "VideoPlayer.c"
		GstElement* _tmp6_ = NULL;
		GstElement* _tmp7_ = NULL;
#line 334 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp6_ = self->playbin;
#line 334 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		gst_element_set_state (_tmp6_, GST_STATE_READY);
#line 335 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp7_ = self->playbin;
#line 335 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		gst_element_get_state (_tmp7_, NULL, NULL, GST_CLOCK_TIME_NONE);
#line 1028 "VideoPlayer.c"
	}
#line 338 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp8_ = self->playbin;
#line 338 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp9_ = self->priv->subtitle_uri;
#line 338 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_dynamic_set_suburi5 (_tmp8_, _tmp9_);
#line 339 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp10_ = current;
#line 339 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (_tmp10_ > GST_STATE_READY) {
#line 1040 "VideoPlayer.c"
		GstElement* _tmp11_ = NULL;
		GstState _tmp12_ = 0;
		GstElement* _tmp13_ = NULL;
#line 340 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp11_ = self->playbin;
#line 340 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp12_ = current;
#line 340 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		gst_element_set_state (_tmp11_, _tmp12_);
#line 341 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp13_ = self->playbin;
#line 341 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		gst_element_get_state (_tmp13_, NULL, NULL, GST_CLOCK_TIME_NONE);
#line 1054 "VideoPlayer.c"
	}
#line 344 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp14_ = self->playbin;
#line 344 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gst_element_set_state (_tmp14_, GST_STATE_PAUSED);
#line 345 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp15_ = self->playbin;
#line 345 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp16_ = time;
#line 345 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gst_element_seek (_tmp15_, 1.0, GST_FORMAT_TIME, GST_SEEK_FLAG_FLUSH | GST_SEEK_FLAG_ACCURATE, GST_SEEK_TYPE_SET, _tmp16_, GST_SEEK_TYPE_NONE, (gint64) GST_CLOCK_TIME_NONE);
#line 350 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp17_ = current;
#line 350 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (_tmp17_ > GST_STATE_READY) {
#line 1070 "VideoPlayer.c"
		GstElement* _tmp18_ = NULL;
		GstState _tmp19_ = 0;
		GstElement* _tmp20_ = NULL;
#line 351 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp18_ = self->playbin;
#line 351 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp19_ = current;
#line 351 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		gst_element_set_state (_tmp18_, _tmp19_);
#line 352 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp20_ = self->playbin;
#line 352 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		gst_element_get_state (_tmp20_, NULL, NULL, GST_CLOCK_TIME_NONE);
#line 1084 "VideoPlayer.c"
	}
}


gboolean audience_widgets_video_player_relayout (AudienceWidgetsVideoPlayer* self) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	guint _tmp2_ = 0U;
	gboolean _tmp7_ = FALSE;
	ClutterStage* stage = NULL;
	ClutterStage* _tmp10_ = NULL;
	ClutterStage* _tmp11_ = NULL;
	gfloat _tmp12_ = 0.0F;
	ClutterStage* _tmp13_ = NULL;
	gfloat _tmp14_ = 0.0F;
	gfloat _tmp15_ = 0.0F;
	guint _tmp16_ = 0U;
	ClutterStage* _tmp17_ = NULL;
	gfloat _tmp18_ = 0.0F;
	gfloat _tmp19_ = 0.0F;
	guint _tmp20_ = 0U;
	gfloat aspect = 0.0F;
	ClutterTexture* _tmp29_ = NULL;
	guint _tmp30_ = 0U;
	gfloat _tmp31_ = 0.0F;
	ClutterTexture* _tmp32_ = NULL;
	guint _tmp33_ = 0U;
	gfloat _tmp34_ = 0.0F;
	ClutterTexture* _tmp35_ = NULL;
	ClutterStage* _tmp36_ = NULL;
	gfloat _tmp37_ = 0.0F;
	gfloat _tmp38_ = 0.0F;
	ClutterTexture* _tmp39_ = NULL;
	gfloat _tmp40_ = 0.0F;
	gfloat _tmp41_ = 0.0F;
	ClutterTexture* _tmp42_ = NULL;
	ClutterStage* _tmp43_ = NULL;
	gfloat _tmp44_ = 0.0F;
	gfloat _tmp45_ = 0.0F;
	ClutterTexture* _tmp46_ = NULL;
	gfloat _tmp47_ = 0.0F;
	gfloat _tmp48_ = 0.0F;
#line 357 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 358 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp2_ = self->priv->_video_width;
#line 358 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (_tmp2_ < ((guint) 1)) {
#line 358 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp1_ = TRUE;
#line 1136 "VideoPlayer.c"
	} else {
		guint _tmp3_ = 0U;
#line 358 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp3_ = self->priv->_video_height;
#line 358 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp1_ = _tmp3_ < ((guint) 1);
#line 1143 "VideoPlayer.c"
	}
#line 358 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (_tmp1_) {
#line 358 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp0_ = TRUE;
#line 1149 "VideoPlayer.c"
	} else {
		gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
#line 358 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp4_ = audience_widgets_video_player_get_uri (self);
#line 358 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp5_ = _tmp4_;
#line 358 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp6_ = _tmp5_;
#line 358 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp0_ = _tmp6_ == NULL;
#line 358 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_g_free0 (_tmp6_);
#line 1164 "VideoPlayer.c"
	}
#line 358 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (_tmp0_) {
#line 359 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		result = FALSE;
#line 359 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		return result;
#line 1172 "VideoPlayer.c"
	}
#line 361 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp7_ = self->priv->intial_relayout;
#line 361 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (_tmp7_) {
#line 1178 "VideoPlayer.c"
		guint _tmp8_ = 0U;
		guint _tmp9_ = 0U;
#line 362 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp8_ = self->priv->_video_width;
#line 362 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp9_ = self->priv->_video_height;
#line 362 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		g_signal_emit_by_name (self, "configure-window", _tmp8_, _tmp9_);
#line 363 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		self->priv->intial_relayout = FALSE;
#line 1189 "VideoPlayer.c"
	}
#line 366 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp10_ = clutter_actor_get_stage ((ClutterActor*) self);
#line 366 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp11_ = _g_object_ref0 (_tmp10_);
#line 366 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	stage = _tmp11_;
#line 367 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp13_ = stage;
#line 367 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp14_ = clutter_actor_get_width ((ClutterActor*) _tmp13_);
#line 367 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp15_ = _tmp14_;
#line 367 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp16_ = self->priv->_video_width;
#line 367 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp17_ = stage;
#line 367 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp18_ = clutter_actor_get_height ((ClutterActor*) _tmp17_);
#line 367 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp19_ = _tmp18_;
#line 367 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp20_ = self->priv->_video_height;
#line 367 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if ((_tmp15_ / _tmp16_) < (_tmp19_ / _tmp20_)) {
#line 1215 "VideoPlayer.c"
		ClutterStage* _tmp21_ = NULL;
		gfloat _tmp22_ = 0.0F;
		gfloat _tmp23_ = 0.0F;
		guint _tmp24_ = 0U;
#line 368 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp21_ = stage;
#line 368 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp22_ = clutter_actor_get_width ((ClutterActor*) _tmp21_);
#line 368 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp23_ = _tmp22_;
#line 368 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp24_ = self->priv->_video_width;
#line 368 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp12_ = _tmp23_ / _tmp24_;
#line 1230 "VideoPlayer.c"
	} else {
		ClutterStage* _tmp25_ = NULL;
		gfloat _tmp26_ = 0.0F;
		gfloat _tmp27_ = 0.0F;
		guint _tmp28_ = 0U;
#line 368 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp25_ = stage;
#line 368 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp26_ = clutter_actor_get_height ((ClutterActor*) _tmp25_);
#line 368 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp27_ = _tmp26_;
#line 368 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp28_ = self->priv->_video_height;
#line 368 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp12_ = _tmp27_ / _tmp28_;
#line 1246 "VideoPlayer.c"
	}
#line 367 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	aspect = _tmp12_;
#line 369 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp29_ = self->priv->video;
#line 369 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp30_ = self->priv->_video_width;
#line 369 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp31_ = aspect;
#line 369 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	clutter_actor_set_width ((ClutterActor*) _tmp29_, _tmp30_ * _tmp31_);
#line 370 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp32_ = self->priv->video;
#line 370 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp33_ = self->priv->_video_height;
#line 370 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp34_ = aspect;
#line 370 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	clutter_actor_set_height ((ClutterActor*) _tmp32_, _tmp33_ * _tmp34_);
#line 371 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp35_ = self->priv->video;
#line 371 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp36_ = stage;
#line 371 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp37_ = clutter_actor_get_width ((ClutterActor*) _tmp36_);
#line 371 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp38_ = _tmp37_;
#line 371 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp39_ = self->priv->video;
#line 371 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp40_ = clutter_actor_get_width ((ClutterActor*) _tmp39_);
#line 371 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp41_ = _tmp40_;
#line 371 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	clutter_actor_set_x ((ClutterActor*) _tmp35_, (_tmp38_ - _tmp41_) / 2);
#line 372 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp42_ = self->priv->video;
#line 372 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp43_ = stage;
#line 372 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp44_ = clutter_actor_get_height ((ClutterActor*) _tmp43_);
#line 372 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp45_ = _tmp44_;
#line 372 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp46_ = self->priv->video;
#line 372 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp47_ = clutter_actor_get_height ((ClutterActor*) _tmp46_);
#line 372 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp48_ = _tmp47_;
#line 372 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	clutter_actor_set_y ((ClutterActor*) _tmp42_, (_tmp45_ - _tmp48_) / 2);
#line 374 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	result = TRUE;
#line 374 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_object_unref0 (stage);
#line 374 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	return result;
#line 1304 "VideoPlayer.c"
}


static void audience_widgets_video_player_show_error (AudienceWidgetsVideoPlayer* self, const gchar* message) {
	GtkDialog* dlg = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	GtkDialog* _tmp2_ = NULL;
	GtkGrid* grid = NULL;
	GtkGrid* _tmp3_ = NULL;
	GtkImage* err = NULL;
	GtkImage* _tmp4_ = NULL;
	GtkImage* _tmp5_ = NULL;
	GtkLabel* err_label = NULL;
	GtkLabel* _tmp6_ = NULL;
	GtkLabel* _tmp7_ = NULL;
	const gchar* _tmp8_ = NULL;
	gchar* _tmp9_ = NULL;
	gchar* _tmp10_ = NULL;
	GtkGrid* _tmp11_ = NULL;
	GtkGrid* _tmp12_ = NULL;
	GtkImage* _tmp13_ = NULL;
	GtkGrid* _tmp14_ = NULL;
	GtkLabel* _tmp15_ = NULL;
	const gchar* _tmp16_ = NULL;
	GtkDialog* _tmp21_ = NULL;
	GtkBox* _tmp22_ = NULL;
	GtkGrid* _tmp23_ = NULL;
	GtkDialog* _tmp24_ = NULL;
	GtkDialog* _tmp25_ = NULL;
	GtkDialog* _tmp26_ = NULL;
#line 377 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_if_fail (self != NULL);
#line 378 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = _ ("Error");
#line 378 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp1_ = _ ("_OK");
#line 378 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp2_ = (GtkDialog*) gtk_dialog_new_with_buttons (_tmp0_, NULL, GTK_DIALOG_MODAL, _tmp1_, GTK_RESPONSE_OK, NULL);
#line 378 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_ref_sink (_tmp2_);
#line 378 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	dlg = _tmp2_;
#line 379 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp3_ = (GtkGrid*) gtk_grid_new ();
#line 379 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_ref_sink (_tmp3_);
#line 379 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	grid = _tmp3_;
#line 380 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp4_ = (GtkImage*) gtk_image_new_from_icon_name ("dialog-error", GTK_ICON_SIZE_DIALOG);
#line 380 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_ref_sink (_tmp4_);
#line 380 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	err = _tmp4_;
#line 381 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp5_ = err;
#line 381 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gtk_widget_set_margin_right ((GtkWidget*) _tmp5_, 12);
#line 383 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp6_ = (GtkLabel*) gtk_label_new ("");
#line 383 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_ref_sink (_tmp6_);
#line 383 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	err_label = _tmp6_;
#line 384 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp7_ = err_label;
#line 384 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp8_ = _ ("Oops! Audience can't play this file!");
#line 384 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp9_ = g_strdup_printf ("<b>%s</b>", _tmp8_);
#line 384 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp10_ = _tmp9_;
#line 384 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gtk_label_set_markup (_tmp7_, _tmp10_);
#line 384 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_free0 (_tmp10_);
#line 386 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp11_ = grid;
#line 386 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_set ((GtkWidget*) _tmp11_, "margin", 12, NULL);
#line 387 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp12_ = grid;
#line 387 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp13_ = err;
#line 387 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gtk_grid_attach (_tmp12_, (GtkWidget*) _tmp13_, 0, 0, 1, 1);
#line 388 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp14_ = grid;
#line 388 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp15_ = err_label;
#line 388 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gtk_grid_attach (_tmp14_, (GtkWidget*) _tmp15_, 1, 0, 1, 1);
#line 389 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp16_ = message;
#line 389 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (_tmp16_ != NULL) {
#line 1402 "VideoPlayer.c"
		GtkGrid* _tmp17_ = NULL;
		const gchar* _tmp18_ = NULL;
		GtkLabel* _tmp19_ = NULL;
		GtkLabel* _tmp20_ = NULL;
#line 390 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp17_ = grid;
#line 390 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp18_ = message;
#line 390 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp19_ = (GtkLabel*) gtk_label_new (_tmp18_);
#line 390 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		g_object_ref_sink (_tmp19_);
#line 390 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp20_ = _tmp19_;
#line 390 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		gtk_grid_attach (_tmp17_, (GtkWidget*) _tmp20_, 1, 1, 1, 2);
#line 390 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_g_object_unref0 (_tmp20_);
#line 1421 "VideoPlayer.c"
	}
#line 392 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_signal_emit_by_name (self, "error");
#line 393 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp21_ = dlg;
#line 393 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp22_ = (GtkBox*) gtk_dialog_get_content_area (_tmp21_);
#line 393 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp23_ = grid;
#line 393 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gtk_container_add ((GtkContainer*) G_TYPE_CHECK_INSTANCE_CAST (_tmp22_, gtk_box_get_type (), GtkBox), (GtkWidget*) _tmp23_);
#line 394 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp24_ = dlg;
#line 394 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gtk_widget_show_all ((GtkWidget*) _tmp24_);
#line 395 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp25_ = dlg;
#line 395 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gtk_dialog_run (_tmp25_);
#line 396 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp26_ = dlg;
#line 396 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gtk_widget_destroy ((GtkWidget*) _tmp26_);
#line 377 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_object_unref0 (err_label);
#line 377 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_object_unref0 (err);
#line 377 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_object_unref0 (grid);
#line 377 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_object_unref0 (dlg);
#line 1453 "VideoPlayer.c"
}


static void ___lambda16_ (AudienceWidgetsVideoPlayer* self) {
#line 425 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_debug ("VideoPlayer.vala:425: Finished plugin install");
#line 426 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gst_update_registry ();
#line 427 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_signal_emit_by_name (self, "plugin-install-done");
#line 428 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	audience_widgets_video_player_set_playing (self, TRUE);
#line 1466 "VideoPlayer.c"
}


static void ____lambda16__gst_install_plugins_result_func (GstInstallPluginsReturn _result_, gpointer self) {
#line 424 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	___lambda16_ ((AudienceWidgetsVideoPlayer*) self);
#line 424 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_unref (self);
#line 1475 "VideoPlayer.c"
}


static void _vala_GstInstallPluginsContext_free (GstInstallPluginsContext* self) {
#line 421 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_boxed_free (gst_install_plugins_context_get_type (), self);
#line 1482 "VideoPlayer.c"
}


static void audience_widgets_video_player_handle_missing_plugin (AudienceWidgetsVideoPlayer* self, GstMessage* msg) {
	gchar* detail = NULL;
	GstMessage* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	GtkDialog* dlg = NULL;
	GtkDialog* _tmp2_ = NULL;
	GtkGrid* grid = NULL;
	GtkGrid* _tmp3_ = NULL;
	GtkImage* err = NULL;
	GtkImage* _tmp4_ = NULL;
	GtkLabel* phrase = NULL;
	const gchar* _tmp5_ = NULL;
	GtkLabel* _tmp6_ = NULL;
	GtkImage* _tmp7_ = NULL;
	GtkLabel* err_label = NULL;
	GtkLabel* _tmp8_ = NULL;
	GtkLabel* _tmp9_ = NULL;
	const gchar* _tmp10_ = NULL;
	const gchar* _tmp11_ = NULL;
	gchar* _tmp12_ = NULL;
	gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	gchar* _tmp15_ = NULL;
	GtkGrid* _tmp16_ = NULL;
	GtkGrid* _tmp17_ = NULL;
	GtkImage* _tmp18_ = NULL;
	GtkGrid* _tmp19_ = NULL;
	GtkLabel* _tmp20_ = NULL;
	GtkGrid* _tmp21_ = NULL;
	GtkLabel* _tmp22_ = NULL;
	GtkDialog* _tmp23_ = NULL;
	const gchar* _tmp24_ = NULL;
	GtkDialog* _tmp25_ = NULL;
	const gchar* _tmp26_ = NULL;
	gchar* _tmp27_ = NULL;
	gchar* _tmp28_ = NULL;
	const gchar* _tmp29_ = NULL;
	gchar* _tmp30_ = NULL;
	gchar* _tmp31_ = NULL;
	GtkDialog* _tmp32_ = NULL;
	GtkBox* _tmp33_ = NULL;
	GtkGrid* _tmp34_ = NULL;
	GtkDialog* _tmp35_ = NULL;
	GtkDialog* _tmp36_ = NULL;
	gint _tmp37_ = 0;
	GtkDialog* _tmp46_ = NULL;
#line 399 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_if_fail (self != NULL);
#line 399 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_if_fail (msg != NULL);
#line 400 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = msg;
#line 400 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp1_ = gst_missing_plugin_message_get_description (_tmp0_);
#line 400 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	detail = _tmp1_;
#line 401 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp2_ = (GtkDialog*) gtk_dialog_new_with_buttons ("Missing plugin", NULL, GTK_DIALOG_MODAL, NULL);
#line 401 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_ref_sink (_tmp2_);
#line 401 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	dlg = _tmp2_;
#line 402 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp3_ = (GtkGrid*) gtk_grid_new ();
#line 402 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_ref_sink (_tmp3_);
#line 402 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	grid = _tmp3_;
#line 403 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp4_ = (GtkImage*) gtk_image_new_from_icon_name ("dialog-error", GTK_ICON_SIZE_DIALOG);
#line 403 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_ref_sink (_tmp4_);
#line 403 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	err = _tmp4_;
#line 404 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp5_ = _ ("Some media files need extra software to be played. Audience can instal" \
"l this software automatically.");
#line 404 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp6_ = (GtkLabel*) gtk_label_new (_tmp5_);
#line 404 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_ref_sink (_tmp6_);
#line 404 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	phrase = _tmp6_;
#line 406 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp7_ = err;
#line 406 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gtk_widget_set_margin_right ((GtkWidget*) _tmp7_, 12);
#line 408 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp8_ = (GtkLabel*) gtk_label_new ("");
#line 408 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_ref_sink (_tmp8_);
#line 408 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	err_label = _tmp8_;
#line 409 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp9_ = err_label;
#line 409 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp10_ = _ ("Audience needs %s to play this file.");
#line 409 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp11_ = detail;
#line 409 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp12_ = g_strdup_printf (_tmp10_, _tmp11_);
#line 409 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp13_ = _tmp12_;
#line 409 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp14_ = g_strdup_printf ("<b>%s</b>", _tmp13_);
#line 409 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp15_ = _tmp14_;
#line 409 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gtk_label_set_markup (_tmp9_, _tmp15_);
#line 409 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_free0 (_tmp15_);
#line 409 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_free0 (_tmp13_);
#line 411 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp16_ = grid;
#line 411 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_set ((GtkWidget*) _tmp16_, "margin", 12, NULL);
#line 412 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp17_ = grid;
#line 412 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp18_ = err;
#line 412 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gtk_grid_attach (_tmp17_, (GtkWidget*) _tmp18_, 0, 0, 1, 1);
#line 413 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp19_ = grid;
#line 413 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp20_ = err_label;
#line 413 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gtk_grid_attach (_tmp19_, (GtkWidget*) _tmp20_, 1, 0, 1, 1);
#line 414 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp21_ = grid;
#line 414 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp22_ = phrase;
#line 414 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gtk_grid_attach (_tmp21_, (GtkWidget*) _tmp22_, 1, 1, 1, 2);
#line 416 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp23_ = dlg;
#line 416 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp24_ = _ ("Don't install");
#line 416 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gtk_dialog_add_button (_tmp23_, _tmp24_, 1);
#line 417 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp25_ = dlg;
#line 417 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp26_ = _ ("Install");
#line 417 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp27_ = g_strconcat (_tmp26_, " ", NULL);
#line 417 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp28_ = _tmp27_;
#line 417 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp29_ = detail;
#line 417 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp30_ = g_strconcat (_tmp28_, _tmp29_, NULL);
#line 417 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp31_ = _tmp30_;
#line 417 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gtk_dialog_add_button (_tmp25_, _tmp31_, 0);
#line 417 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_free0 (_tmp31_);
#line 417 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_free0 (_tmp28_);
#line 419 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp32_ = dlg;
#line 419 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp33_ = (GtkBox*) gtk_dialog_get_content_area (_tmp32_);
#line 419 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp34_ = grid;
#line 419 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gtk_container_add (G_TYPE_CHECK_INSTANCE_TYPE (_tmp33_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp33_) : NULL, (GtkWidget*) _tmp34_);
#line 420 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp35_ = dlg;
#line 420 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gtk_widget_show_all ((GtkWidget*) _tmp35_);
#line 421 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp36_ = dlg;
#line 421 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp37_ = gtk_dialog_run (_tmp36_);
#line 421 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (_tmp37_ == 0) {
#line 1664 "VideoPlayer.c"
		gchar* installer = NULL;
		GstMessage* _tmp38_ = NULL;
		gchar* _tmp39_ = NULL;
		GstInstallPluginsContext* context = NULL;
		GstInstallPluginsContext* _tmp40_ = NULL;
		const gchar* _tmp41_ = NULL;
		gchar* _tmp42_ = NULL;
		gchar** _tmp43_ = NULL;
		gchar** _tmp44_ = NULL;
		gint _tmp44__length1 = 0;
		GstInstallPluginsContext* _tmp45_ = NULL;
#line 422 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp38_ = msg;
#line 422 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp39_ = gst_missing_plugin_message_get_installer_detail (_tmp38_);
#line 422 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		installer = _tmp39_;
#line 423 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp40_ = gst_install_plugins_context_new ();
#line 423 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		context = _tmp40_;
#line 424 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp41_ = installer;
#line 424 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp42_ = g_strdup (_tmp41_);
#line 424 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp43_ = g_new0 (gchar*, 1 + 1);
#line 424 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp43_[0] = _tmp42_;
#line 424 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp44_ = _tmp43_;
#line 424 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp44__length1 = 1;
#line 424 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp45_ = context;
#line 424 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		gst_install_plugins_async (_tmp44_, _tmp45_, ____lambda16__gst_install_plugins_result_func, g_object_ref (self));
#line 424 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp44_ = (_vala_array_free (_tmp44_, _tmp44__length1, (GDestroyNotify) g_free), NULL);
#line 421 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		__vala_GstInstallPluginsContext_free0 (context);
#line 421 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_g_free0 (installer);
#line 1708 "VideoPlayer.c"
	}
#line 432 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp46_ = dlg;
#line 432 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gtk_widget_destroy ((GtkWidget*) _tmp46_);
#line 399 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_object_unref0 (err_label);
#line 399 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_object_unref0 (phrase);
#line 399 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_object_unref0 (err);
#line 399 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_object_unref0 (grid);
#line 399 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_object_unref0 (dlg);
#line 399 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_free0 (detail);
#line 1726 "VideoPlayer.c"
}


static void audience_widgets_video_player_set_screensaver (AudienceWidgetsVideoPlayer* self, gboolean enable) {
	Display* _tmp0_ = NULL;
	gint _tmp2_ = 0;
	gint _tmp8_ = 0;
	gboolean _tmp9_ = FALSE;
	Display* _tmp11_ = NULL;
	gint _tmp12_ = 0;
	gint _tmp13_ = 0;
	gint _tmp14_ = 0;
#line 438 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_if_fail (self != NULL);
#line 439 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = self->priv->dpy;
#line 439 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (_tmp0_ == NULL) {
#line 1745 "VideoPlayer.c"
		Display* _tmp1_ = NULL;
#line 440 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp1_ = XOpenDisplay (NULL);
#line 440 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_XCloseDisplay0 (self->priv->dpy);
#line 440 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		self->priv->dpy = _tmp1_;
#line 1753 "VideoPlayer.c"
	}
#line 442 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp2_ = self->priv->timeout;
#line 442 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (_tmp2_ == (-1)) {
#line 1759 "VideoPlayer.c"
		Display* _tmp3_ = NULL;
		gint _tmp4_ = 0;
		gint _tmp5_ = 0;
		gint _tmp6_ = 0;
		gint _tmp7_ = 0;
#line 443 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp3_ = self->priv->dpy;
#line 443 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		XGetScreenSaver (_tmp3_, &_tmp4_, &_tmp5_, &_tmp6_, &_tmp7_);
#line 443 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		self->priv->timeout = _tmp4_;
#line 443 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		self->priv->interval = _tmp5_;
#line 443 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		self->priv->prefer_blanking = _tmp6_;
#line 443 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		self->priv->allow_exposures = _tmp7_;
#line 1777 "VideoPlayer.c"
	}
#line 445 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp9_ = enable;
#line 445 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (_tmp9_) {
#line 1783 "VideoPlayer.c"
		gint _tmp10_ = 0;
#line 445 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp10_ = self->priv->timeout;
#line 445 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp8_ = _tmp10_;
#line 1789 "VideoPlayer.c"
	} else {
#line 445 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp8_ = 0;
#line 1793 "VideoPlayer.c"
	}
#line 445 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp11_ = self->priv->dpy;
#line 445 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp12_ = self->priv->interval;
#line 445 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp13_ = self->priv->prefer_blanking;
#line 445 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp14_ = self->priv->allow_exposures;
#line 445 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	XSetScreenSaver (_tmp11_, _tmp8_, _tmp12_, _tmp13_, _tmp14_);
#line 1805 "VideoPlayer.c"
}


static void audience_widgets_video_player_set_screenlock (AudienceWidgetsVideoPlayer* self, gboolean enable) {
	GError * _inner_error_ = NULL;
#line 449 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_if_fail (self != NULL);
#line 1813 "VideoPlayer.c"
	{
		GnomeSessionManager* _tmp0_ = NULL;
		GnomeSessionManager* _tmp1_ = NULL;
		GnomeSessionManager* _tmp2_ = NULL;
		gboolean _tmp3_ = FALSE;
#line 451 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp1_ = g_initable_new (TYPE_GNOME_SESSION_MANAGER_PROXY, NULL, &_inner_error_, "g-flags", 0, "g-name", "org.gnome.SessionManager", "g-bus-type", G_BUS_TYPE_SESSION, "g-object-path", "/org/gnome/SessionManager", "g-interface-name", "org.gnome.SessionManager", "g-interface-info", g_type_get_qdata (TYPE_GNOME_SESSION_MANAGER, g_quark_from_static_string ("vala-dbus-interface-info")), NULL);
#line 451 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp0_ = (GnomeSessionManager*) _tmp1_;
#line 451 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1825 "VideoPlayer.c"
			goto __catch5_g_error;
		}
#line 451 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp2_ = _tmp0_;
#line 451 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp0_ = NULL;
#line 451 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_g_object_unref0 (self->session_manager);
#line 451 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		self->session_manager = _tmp2_;
#line 453 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp3_ = enable;
#line 453 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		if (_tmp3_) {
#line 1840 "VideoPlayer.c"
			GnomeSessionManager* _tmp4_ = NULL;
			guint32 _tmp5_ = 0U;
#line 454 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp4_ = self->session_manager;
#line 454 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp5_ = self->priv->inhibit_cookie;
#line 454 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			gnome_session_manager_Uninhibit (_tmp4_, _tmp5_, &_inner_error_);
#line 454 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 454 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
				_g_object_unref0 (_tmp0_);
#line 1853 "VideoPlayer.c"
				goto __catch5_g_error;
			}
		} else {
			guint32 _tmp6_ = 0U;
			GnomeSessionManager* _tmp7_ = NULL;
			guint32 _tmp8_ = 0U;
#line 456 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp7_ = self->session_manager;
#line 456 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp8_ = gnome_session_manager_Inhibit (_tmp7_, "audience", (guint32) 0, "Playing Video using Audience", (guint32) 12, &_inner_error_);
#line 456 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp6_ = _tmp8_;
#line 456 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 456 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
				_g_object_unref0 (_tmp0_);
#line 1870 "VideoPlayer.c"
				goto __catch5_g_error;
			}
#line 456 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			self->priv->inhibit_cookie = _tmp6_;
#line 1875 "VideoPlayer.c"
		}
#line 450 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_g_object_unref0 (_tmp0_);
#line 1879 "VideoPlayer.c"
	}
	goto __finally5;
	__catch5_g_error:
	{
		GError* e = NULL;
		GError* _tmp9_ = NULL;
		const gchar* _tmp10_ = NULL;
#line 450 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		e = _inner_error_;
#line 450 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_inner_error_ = NULL;
#line 459 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp9_ = e;
#line 459 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp10_ = _tmp9_->message;
#line 459 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		g_warning ("VideoPlayer.vala:459: %s", _tmp10_);
#line 450 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_g_error_free0 (e);
#line 1899 "VideoPlayer.c"
	}
	__finally5:
#line 450 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 450 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 450 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		g_clear_error (&_inner_error_);
#line 450 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		return;
#line 1910 "VideoPlayer.c"
	}
}


void audience_widgets_video_player_seek_jump_seconds (AudienceWidgetsVideoPlayer* self, gint seconds) {
	gint64 position = 0LL;
	GstElement* _tmp0_ = NULL;
	gint64 _tmp1_ = 0LL;
	gint64 gst_seconds = 0LL;
	gint _tmp2_ = 0;
	gint64 new_position = 0LL;
	gint64 _tmp3_ = 0LL;
	gint64 _tmp4_ = 0LL;
	gint64 _tmp5_ = 0LL;
	GstElement* _tmp9_ = NULL;
	gint64 _tmp10_ = 0LL;
#line 463 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_if_fail (self != NULL);
#line 465 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = self->playbin;
#line 465 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gst_element_query_position (_tmp0_, GST_FORMAT_TIME, &_tmp1_);
#line 465 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	position = _tmp1_;
#line 467 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp2_ = seconds;
#line 467 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gst_seconds = 1000000000 * ((gint64) _tmp2_);
#line 468 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp3_ = position;
#line 468 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp4_ = gst_seconds;
#line 468 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	new_position = _tmp3_ + _tmp4_;
#line 470 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp5_ = new_position;
#line 470 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (_tmp5_ < ((gint64) 0)) {
#line 1949 "VideoPlayer.c"
		GstElement* _tmp6_ = NULL;
		gint64 _tmp7_ = 0LL;
		gint64 _tmp8_ = 0LL;
#line 471 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp6_ = self->playbin;
#line 471 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp7_ = new_position;
#line 471 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp8_ = MAX (_tmp7_, (gint64) 1);
#line 471 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		gst_element_seek_simple (_tmp6_, GST_FORMAT_TIME, GST_SEEK_FLAG_FLUSH | GST_SEEK_FLAG_ACCURATE, _tmp8_);
#line 472 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		return;
#line 1963 "VideoPlayer.c"
	}
#line 475 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp9_ = self->playbin;
#line 475 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp10_ = new_position;
#line 475 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gst_element_seek_simple (_tmp9_, GST_FORMAT_TIME, GST_SEEK_FLAG_FLUSH | GST_SEEK_FLAG_ACCURATE, _tmp10_);
#line 1971 "VideoPlayer.c"
}


static guint audience_widgets_video_player_query_video_width (AudienceWidgetsVideoPlayer* self, GstDiscovererVideoInfo* video_info) {
	guint result = 0U;
	gdouble par = 0.0;
	GstDiscovererVideoInfo* _tmp0_ = NULL;
	gdouble _tmp1_ = 0.0;
	gdouble _tmp2_ = 0.0;
	guint _tmp5_ = 0U;
	gdouble _tmp6_ = 0.0;
#line 478 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 478 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_val_if_fail (video_info != NULL, 0U);
#line 479 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = video_info;
#line 479 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp1_ = audience_widgets_video_player_get_video_par (self, _tmp0_);
#line 479 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	par = _tmp1_;
#line 480 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp2_ = par;
#line 480 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (_tmp2_ == ((gdouble) (-1))) {
#line 1997 "VideoPlayer.c"
		GstDiscovererVideoInfo* _tmp3_ = NULL;
		guint _tmp4_ = 0U;
#line 481 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp3_ = video_info;
#line 481 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp4_ = gst_discoverer_video_info_get_width (_tmp3_);
#line 481 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		result = _tmp4_;
#line 481 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		return result;
#line 2008 "VideoPlayer.c"
	}
#line 483 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp5_ = self->priv->_video_height;
#line 483 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp6_ = par;
#line 483 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	result = (guint) (_tmp5_ * _tmp6_);
#line 483 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	return result;
#line 2018 "VideoPlayer.c"
}


static gdouble audience_widgets_video_player_get_video_par (AudienceWidgetsVideoPlayer* self, GstDiscovererVideoInfo* video_info) {
	gdouble result = 0.0;
	guint num = 0U;
	GstDiscovererVideoInfo* _tmp0_ = NULL;
	guint _tmp1_ = 0U;
	guint denom = 0U;
	GstDiscovererVideoInfo* _tmp2_ = NULL;
	guint _tmp3_ = 0U;
	gboolean _tmp4_ = FALSE;
	guint _tmp5_ = 0U;
	guint _tmp7_ = 0U;
	guint _tmp8_ = 0U;
#line 487 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_val_if_fail (self != NULL, 0.0);
#line 487 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_val_if_fail (video_info != NULL, 0.0);
#line 488 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = video_info;
#line 488 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp1_ = gst_discoverer_video_info_get_par_num (_tmp0_);
#line 488 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	num = _tmp1_;
#line 489 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp2_ = video_info;
#line 489 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp3_ = gst_discoverer_video_info_get_par_denom (_tmp2_);
#line 489 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	denom = _tmp3_;
#line 490 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp5_ = num;
#line 490 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (_tmp5_ == ((guint) 1)) {
#line 2054 "VideoPlayer.c"
		guint _tmp6_ = 0U;
#line 490 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp6_ = denom;
#line 490 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp4_ = _tmp6_ == ((guint) 1);
#line 2060 "VideoPlayer.c"
	} else {
#line 490 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp4_ = FALSE;
#line 2064 "VideoPlayer.c"
	}
#line 490 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (_tmp4_) {
#line 491 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		result = (gdouble) (-1);
#line 491 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		return result;
#line 2072 "VideoPlayer.c"
	}
#line 493 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp7_ = num;
#line 493 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp8_ = denom;
#line 493 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	result = _tmp7_ / ((gdouble) _tmp8_);
#line 493 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	return result;
#line 2082 "VideoPlayer.c"
}


static void audience_widgets_video_player_update_subtitle_font (AudienceWidgetsVideoPlayer* self) {
	gchar* font = NULL;
	AudienceSettings* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	const gchar* _tmp8_ = NULL;
#line 496 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_if_fail (self != NULL);
#line 497 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_debug ("VideoPlayer.vala:497: Updating subtitle font");
#line 498 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = audience_settings;
#line 498 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp1_ = audience_settings_get_subtitle_font (_tmp0_);
#line 498 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp2_ = _tmp1_;
#line 498 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 498 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	font = _tmp3_;
#line 500 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp4_ = font;
#line 500 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (g_strcmp0 (_tmp4_, "") == 0) {
#line 2112 "VideoPlayer.c"
		GSettings* gnome_settings = NULL;
		GSettings* _tmp5_ = NULL;
		GSettings* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
#line 501 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp5_ = g_settings_new ("org.gnome.desktop.interface");
#line 501 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		gnome_settings = _tmp5_;
#line 502 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp6_ = gnome_settings;
#line 502 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp7_ = g_settings_get_string (_tmp6_, "font-name");
#line 502 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_g_free0 (font);
#line 502 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		font = _tmp7_;
#line 500 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_g_object_unref0 (gnome_settings);
#line 2131 "VideoPlayer.c"
	}
#line 504 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp8_ = font;
#line 504 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	audience_widgets_video_player_set_subtitle_font (self, _tmp8_);
#line 496 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_free0 (font);
#line 2139 "VideoPlayer.c"
}


gboolean audience_widgets_video_player_get_playing (AudienceWidgetsVideoPlayer* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 51 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 52 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = self->priv->_playing;
#line 52 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	result = _tmp0_;
#line 52 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	return result;
#line 2154 "VideoPlayer.c"
}


void audience_widgets_video_player_set_playing (AudienceWidgetsVideoPlayer* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
	gboolean _tmp4_ = FALSE;
	GstState _tmp5_ = 0;
	gboolean _tmp6_ = FALSE;
	GstElement* _tmp7_ = NULL;
	gboolean _tmp8_ = FALSE;
#line 54 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_if_fail (self != NULL);
#line 55 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = value;
#line 55 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp1_ = audience_widgets_video_player_get_playing (self);
#line 55 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp2_ = _tmp1_;
#line 55 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (_tmp0_ == _tmp2_) {
#line 56 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		return;
#line 2180 "VideoPlayer.c"
	}
#line 58 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp3_ = value;
#line 58 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	audience_widgets_video_player_set_screensaver (self, !_tmp3_);
#line 59 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp4_ = value;
#line 59 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	audience_widgets_video_player_set_screenlock (self, !_tmp4_);
#line 60 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp6_ = value;
#line 60 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (_tmp6_) {
#line 60 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp5_ = GST_STATE_PLAYING;
#line 2196 "VideoPlayer.c"
	} else {
#line 60 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp5_ = GST_STATE_PAUSED;
#line 2200 "VideoPlayer.c"
	}
#line 60 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp7_ = self->playbin;
#line 60 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gst_element_set_state (_tmp7_, _tmp5_);
#line 61 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp8_ = value;
#line 61 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	self->priv->_playing = _tmp8_;
#line 54 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_notify ((GObject *) self, "playing");
#line 2212 "VideoPlayer.c"
}


gdouble audience_widgets_video_player_get_progress (AudienceWidgetsVideoPlayer* self) {
	gdouble result;
	gint64 length = 0LL;
	gint64 prog = 0LL;
	GstElement* _tmp0_ = NULL;
	gint64 _tmp1_ = 0LL;
	GstElement* _tmp2_ = NULL;
	gint64 _tmp3_ = 0LL;
	gint64 _tmp4_ = 0LL;
	gint64 _tmp5_ = 0LL;
	gint64 _tmp6_ = 0LL;
#line 66 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_val_if_fail (self != NULL, 0.0);
#line 68 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = self->playbin;
#line 68 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gst_element_query_duration (_tmp0_, GST_FORMAT_TIME, &_tmp1_);
#line 68 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	length = _tmp1_;
#line 69 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp2_ = self->playbin;
#line 69 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gst_element_query_position (_tmp2_, GST_FORMAT_TIME, &_tmp3_);
#line 69 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	prog = _tmp3_;
#line 70 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp4_ = length;
#line 70 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (_tmp4_ == ((gint64) 0)) {
#line 71 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		result = (gdouble) 0;
#line 71 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		return result;
#line 2249 "VideoPlayer.c"
	}
#line 73 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp5_ = prog;
#line 73 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp6_ = length;
#line 73 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	result = _tmp5_ / ((gdouble) _tmp6_);
#line 73 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	return result;
#line 2259 "VideoPlayer.c"
}


void audience_widgets_video_player_set_progress (AudienceWidgetsVideoPlayer* self, gdouble value) {
	gint64 length = 0LL;
	GstElement* _tmp0_ = NULL;
	gint64 _tmp1_ = 0LL;
	GstElement* _tmp2_ = NULL;
	gdouble _tmp3_ = 0.0;
	gdouble _tmp4_ = 0.0;
#line 75 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_if_fail (self != NULL);
#line 77 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = self->playbin;
#line 77 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gst_element_query_duration (_tmp0_, GST_FORMAT_TIME, &_tmp1_);
#line 77 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	length = _tmp1_;
#line 78 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp2_ = self->playbin;
#line 78 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp3_ = value;
#line 78 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp4_ = MAX (_tmp3_, 0.0);
#line 78 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gst_element_seek_simple (_tmp2_, GST_FORMAT_TIME, GST_SEEK_FLAG_FLUSH | GST_SEEK_FLAG_ACCURATE, (gint64) (_tmp4_ * length));
#line 75 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_notify ((GObject *) self, "progress");
#line 2288 "VideoPlayer.c"
}


static inline gdouble _dynamic_get_volume6 (GstElement* obj) {
	gdouble result;
#line 84 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_get (obj, "volume", &result, NULL);
#line 84 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	return result;
#line 2298 "VideoPlayer.c"
}


gdouble audience_widgets_video_player_get_volume (AudienceWidgetsVideoPlayer* self) {
	gdouble result;
	GstElement* _tmp0_ = NULL;
	gdouble _tmp1_ = 0.0;
	gdouble _tmp2_ = 0.0;
#line 83 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_val_if_fail (self != NULL, 0.0);
#line 84 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = self->playbin;
#line 84 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp1_ = _dynamic_get_volume6 (_tmp0_);
#line 84 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp2_ = _tmp1_;
#line 84 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	result = _tmp2_;
#line 84 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	return result;
#line 2319 "VideoPlayer.c"
}


static inline void _dynamic_set_volume7 (GstElement* obj, gdouble value) {
#line 87 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_set (obj, "volume", value, NULL);
#line 2326 "VideoPlayer.c"
}


void audience_widgets_video_player_set_volume (AudienceWidgetsVideoPlayer* self, gdouble value) {
	GstElement* _tmp0_ = NULL;
	gdouble _tmp1_ = 0.0;
#line 86 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_if_fail (self != NULL);
#line 87 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = self->playbin;
#line 87 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp1_ = value;
#line 87 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_dynamic_set_volume7 (_tmp0_, _tmp1_);
#line 86 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_notify ((GObject *) self, "volume");
#line 2343 "VideoPlayer.c"
}


static inline gchar* _dynamic_get_current_uri8 (GstElement* obj) {
	gchar* result;
#line 93 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_get (obj, "current-uri", &result, NULL);
#line 93 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	return result;
#line 2353 "VideoPlayer.c"
}


gchar* audience_widgets_video_player_get_uri (AudienceWidgetsVideoPlayer* self) {
	gchar* result;
	GstElement* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
#line 92 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 93 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = self->playbin;
#line 93 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp1_ = _dynamic_get_current_uri8 (_tmp0_);
#line 93 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp2_ = _tmp1_;
#line 93 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	result = _tmp2_;
#line 93 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	return result;
#line 2374 "VideoPlayer.c"
}


static inline GstElement* _dynamic_get_uri9 (GstElement* obj) {
	GstElement* result;
#line 96 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_get (obj, "uri", &result, NULL);
#line 96 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	return result;
#line 2384 "VideoPlayer.c"
}


static void _g_object_unref0_ (gpointer var) {
#line 99 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	(var == NULL) ? NULL : (var = (g_object_unref (var), NULL));
#line 2391 "VideoPlayer.c"
}


static void _g_list_free__g_object_unref0_ (GList* self) {
#line 99 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_list_foreach (self, (GFunc) _g_object_unref0_, NULL);
#line 99 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_list_free (self);
#line 2400 "VideoPlayer.c"
}


static inline void _dynamic_set_suburi10 (GstElement* obj, gpointer value) {
#line 116 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_set (obj, "suburi", value, NULL);
#line 2407 "VideoPlayer.c"
}


static inline void _dynamic_set_uri11 (GstElement* obj, const gchar* value) {
#line 118 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_set (obj, "uri", value, NULL);
#line 2414 "VideoPlayer.c"
}


void audience_widgets_video_player_set_uri (AudienceWidgetsVideoPlayer* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	GstElement* _tmp1_ = NULL;
	GstElement* _tmp2_ = NULL;
	GstElement* _tmp3_ = NULL;
	GstElement* _tmp26_ = NULL;
	GstElement* _tmp27_ = NULL;
	GstElement* _tmp28_ = NULL;
	const gchar* _tmp29_ = NULL;
	GError * _inner_error_ = NULL;
#line 95 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_if_fail (self != NULL);
#line 96 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = value;
#line 96 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp1_ = self->playbin;
#line 96 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp2_ = _dynamic_get_uri9 (_tmp1_);
#line 96 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp3_ = _tmp2_;
#line 96 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (g_strcmp0 (_tmp0_, (const gchar*) _tmp3_) == 0) {
#line 97 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		return;
#line 2442 "VideoPlayer.c"
	}
	{
		GstDiscoverer* _tmp4_ = NULL;
		GstDiscoverer* _tmp5_ = NULL;
		GstDiscovererInfo* info = NULL;
		GstDiscoverer* _tmp6_ = NULL;
		GstDiscoverer* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		GstDiscovererInfo* _tmp9_ = NULL;
		GstDiscovererInfo* _tmp10_ = NULL;
		GList* video = NULL;
		GstDiscovererInfo* _tmp11_ = NULL;
		GList* _tmp12_ = NULL;
		gboolean _tmp13_ = FALSE;
		GList* _tmp14_ = NULL;
#line 100 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp5_ = gst_discoverer_new ((GstClockTime) (10 * GST_SECOND), &_inner_error_);
#line 100 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp4_ = _tmp5_;
#line 100 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 2464 "VideoPlayer.c"
			goto __catch6_g_error;
		}
#line 100 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp6_ = _tmp4_;
#line 100 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp4_ = NULL;
#line 100 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp7_ = _tmp6_;
#line 100 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp8_ = value;
#line 100 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp9_ = gst_discoverer_discover_uri (_tmp7_, _tmp8_, &_inner_error_);
#line 100 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp10_ = _tmp9_;
#line 100 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_g_object_unref0 (_tmp7_);
#line 100 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		info = _tmp10_;
#line 100 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 100 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_g_object_unref0 (_tmp4_);
#line 2487 "VideoPlayer.c"
			goto __catch6_g_error;
		}
#line 101 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp11_ = info;
#line 101 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp12_ = gst_discoverer_info_get_video_streams (_tmp11_);
#line 101 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		video = _tmp12_;
#line 102 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp14_ = video;
#line 102 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		if (_tmp14_ != NULL) {
#line 2500 "VideoPlayer.c"
			GList* _tmp15_ = NULL;
			gconstpointer _tmp16_ = NULL;
#line 102 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp15_ = video;
#line 102 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp16_ = _tmp15_->data;
#line 102 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp13_ = ((GstDiscovererStreamInfo*) _tmp16_) != NULL;
#line 2509 "VideoPlayer.c"
		} else {
#line 102 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp13_ = FALSE;
#line 2513 "VideoPlayer.c"
		}
#line 102 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		if (_tmp13_) {
#line 2517 "VideoPlayer.c"
			GstDiscovererVideoInfo* video_info = NULL;
			GList* _tmp17_ = NULL;
			gconstpointer _tmp18_ = NULL;
			GstDiscovererVideoInfo* _tmp19_ = NULL;
			GstDiscovererVideoInfo* _tmp20_ = NULL;
			guint _tmp21_ = 0U;
			GstDiscovererVideoInfo* _tmp22_ = NULL;
			guint _tmp23_ = 0U;
#line 103 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp17_ = video;
#line 103 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp18_ = _tmp17_->data;
#line 103 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp19_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST ((GstDiscovererStreamInfo*) _tmp18_, gst_discoverer_video_info_get_type (), GstDiscovererVideoInfo));
#line 103 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			video_info = _tmp19_;
#line 104 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp20_ = video_info;
#line 104 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp21_ = gst_discoverer_video_info_get_height (_tmp20_);
#line 104 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			audience_widgets_video_player_set_video_height (self, _tmp21_);
#line 105 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp22_ = video_info;
#line 105 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_tmp23_ = audience_widgets_video_player_query_video_width (self, _tmp22_);
#line 105 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			audience_widgets_video_player_set_video_width (self, _tmp23_);
#line 102 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
			_g_object_unref0 (video_info);
#line 2548 "VideoPlayer.c"
		}
#line 99 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		__g_list_free__g_object_unref0_0 (video);
#line 99 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_g_object_unref0 (info);
#line 99 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_g_object_unref0 (_tmp4_);
#line 2556 "VideoPlayer.c"
	}
	goto __finally6;
	__catch6_g_error:
	{
		GError* e = NULL;
		GError* _tmp24_ = NULL;
		const gchar* _tmp25_ = NULL;
#line 99 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		e = _inner_error_;
#line 99 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_inner_error_ = NULL;
#line 108 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		g_signal_emit_by_name (self, "error");
#line 109 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp24_ = e;
#line 109 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp25_ = _tmp24_->message;
#line 109 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		g_warning ("VideoPlayer.vala:109: %s", _tmp25_);
#line 110 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_g_error_free0 (e);
#line 110 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		return;
#line 2580 "VideoPlayer.c"
	}
	__finally6:
#line 99 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 99 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 99 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		g_clear_error (&_inner_error_);
#line 99 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		return;
#line 2591 "VideoPlayer.c"
	}
#line 113 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	self->priv->intial_relayout = TRUE;
#line 114 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	audience_widgets_video_player_set_playing (self, FALSE);
#line 115 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp26_ = self->playbin;
#line 115 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	gst_element_set_state (_tmp26_, GST_STATE_READY);
#line 116 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp27_ = self->playbin;
#line 116 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_dynamic_set_suburi10 (_tmp27_, NULL);
#line 117 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_free0 (self->priv->subtitle_uri);
#line 117 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	self->priv->subtitle_uri = NULL;
#line 118 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp28_ = self->playbin;
#line 118 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp29_ = value;
#line 118 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_dynamic_set_uri11 (_tmp28_, _tmp29_);
#line 119 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	audience_widgets_video_player_set_volume (self, 1.0);
#line 120 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	self->at_end = FALSE;
#line 122 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	audience_widgets_video_player_relayout (self);
#line 123 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	audience_widgets_video_player_set_playing (self, TRUE);
#line 95 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_notify ((GObject *) self, "uri");
#line 2625 "VideoPlayer.c"
}


static inline gint _dynamic_get_current_audio12 (GstElement* obj) {
	gint result;
#line 129 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_get (obj, "current-audio", &result, NULL);
#line 129 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	return result;
#line 2635 "VideoPlayer.c"
}


gint audience_widgets_video_player_get_current_audio (AudienceWidgetsVideoPlayer* self) {
	gint result;
	GstElement* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
#line 128 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 129 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = self->playbin;
#line 129 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp1_ = _dynamic_get_current_audio12 (_tmp0_);
#line 129 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp2_ = _tmp1_;
#line 129 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	result = _tmp2_;
#line 129 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	return result;
#line 2656 "VideoPlayer.c"
}


static inline void _dynamic_set_current_audio13 (GstElement* obj, gint value) {
#line 132 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_set (obj, "current-audio", value, NULL);
#line 2663 "VideoPlayer.c"
}


void audience_widgets_video_player_set_current_audio (AudienceWidgetsVideoPlayer* self, gint value) {
	GstElement* _tmp0_ = NULL;
	gint _tmp1_ = 0;
#line 131 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_if_fail (self != NULL);
#line 132 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = self->playbin;
#line 132 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp1_ = value;
#line 132 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_dynamic_set_current_audio13 (_tmp0_, _tmp1_);
#line 131 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_notify ((GObject *) self, "current-audio");
#line 2680 "VideoPlayer.c"
}


static inline gint _dynamic_get_current_text14 (GstElement* obj) {
	gint result;
#line 141 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_get (obj, "current-text", &result, NULL);
#line 141 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	return result;
#line 2690 "VideoPlayer.c"
}


gint audience_widgets_video_player_get_current_text (AudienceWidgetsVideoPlayer* self) {
	gint result;
	GstElement* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
#line 140 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 141 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = self->playbin;
#line 141 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp1_ = _dynamic_get_current_text14 (_tmp0_);
#line 141 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp2_ = _tmp1_;
#line 141 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	result = _tmp2_;
#line 141 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	return result;
#line 2711 "VideoPlayer.c"
}


static inline void _dynamic_set_current_text15 (GstElement* obj, gint value) {
#line 152 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_set (obj, "current-text", value, NULL);
#line 2718 "VideoPlayer.c"
}


static inline void _dynamic_set_current_text16 (GstElement* obj, gint value) {
#line 156 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_set (obj, "current-text", value, NULL);
#line 2725 "VideoPlayer.c"
}


void audience_widgets_video_player_set_current_text (AudienceWidgetsVideoPlayer* self, gint value) {
	gint _tmp0_ = 0;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
	gint flags = 0;
	GstElement* _tmp3_ = NULL;
	gboolean disable = FALSE;
	gint _tmp4_ = 0;
	gboolean _tmp5_ = FALSE;
	gboolean _tmp7_ = FALSE;
	gboolean _tmp8_ = FALSE;
#line 143 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_if_fail (self != NULL);
#line 144 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = value;
#line 144 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp1_ = audience_widgets_video_player_get_current_text (self);
#line 144 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp2_ = _tmp1_;
#line 144 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (_tmp0_ == _tmp2_) {
#line 145 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		return;
#line 2752 "VideoPlayer.c"
	}
#line 148 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp3_ = self->playbin;
#line 148 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_get ((GObject*) _tmp3_, "flags", &flags, NULL);
#line 150 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp4_ = value;
#line 150 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	disable = _tmp4_ < 0;
#line 151 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp5_ = disable;
#line 151 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (_tmp5_) {
#line 2766 "VideoPlayer.c"
		GstElement* _tmp6_ = NULL;
#line 152 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp6_ = self->playbin;
#line 152 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_dynamic_set_current_text15 (_tmp6_, -1);
#line 2772 "VideoPlayer.c"
	}
#line 154 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp7_ = disable;
#line 154 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	audience_widgets_video_player_check_text_layer (self, !_tmp7_);
#line 155 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp8_ = disable;
#line 155 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (!_tmp8_) {
#line 2782 "VideoPlayer.c"
		GstElement* _tmp9_ = NULL;
		gint _tmp10_ = 0;
#line 156 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp9_ = self->playbin;
#line 156 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_tmp10_ = value;
#line 156 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		_dynamic_set_current_text16 (_tmp9_, _tmp10_);
#line 2791 "VideoPlayer.c"
	}
#line 143 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_notify ((GObject *) self, "current-text");
#line 2795 "VideoPlayer.c"
}


const gchar* audience_widgets_video_player_get_subtitle_font (AudienceWidgetsVideoPlayer* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 163 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 164 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = self->priv->_subtitle_font;
#line 164 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	result = _tmp0_;
#line 164 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	return result;
#line 2810 "VideoPlayer.c"
}


void audience_widgets_video_player_set_subtitle_font (AudienceWidgetsVideoPlayer* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	GstElement* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
#line 166 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_if_fail (self != NULL);
#line 167 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = value;
#line 167 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 167 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_free0 (self->priv->_subtitle_font);
#line 167 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	self->priv->_subtitle_font = _tmp1_;
#line 168 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp2_ = self->playbin;
#line 168 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp3_ = self->priv->_subtitle_font;
#line 168 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_set ((GObject*) _tmp2_, "subtitle-font-desc", _tmp3_, NULL);
#line 166 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_notify ((GObject *) self, "subtitle-font");
#line 2837 "VideoPlayer.c"
}


guint audience_widgets_video_player_get_video_width (AudienceWidgetsVideoPlayer* self) {
	guint result;
	guint _tmp0_ = 0U;
#line 175 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 175 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = self->priv->_video_width;
#line 175 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	result = _tmp0_;
#line 175 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	return result;
#line 2852 "VideoPlayer.c"
}


static void audience_widgets_video_player_set_video_width (AudienceWidgetsVideoPlayer* self, guint value) {
	guint _tmp0_ = 0U;
#line 175 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_if_fail (self != NULL);
#line 175 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = value;
#line 175 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	self->priv->_video_width = _tmp0_;
#line 175 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_notify ((GObject *) self, "video-width");
#line 2866 "VideoPlayer.c"
}


guint audience_widgets_video_player_get_video_height (AudienceWidgetsVideoPlayer* self) {
	guint result;
	guint _tmp0_ = 0U;
#line 176 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 176 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = self->priv->_video_height;
#line 176 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	result = _tmp0_;
#line 176 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	return result;
#line 2881 "VideoPlayer.c"
}


static void audience_widgets_video_player_set_video_height (AudienceWidgetsVideoPlayer* self, guint value) {
	guint _tmp0_ = 0U;
#line 176 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_if_fail (self != NULL);
#line 176 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_tmp0_ = value;
#line 176 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	self->priv->_video_height = _tmp0_;
#line 176 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_notify ((GObject *) self, "video-height");
#line 2895 "VideoPlayer.c"
}


static void g_cclosure_user_marshal_VOID__UINT_UINT (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data) {
	typedef void (*GMarshalFunc_VOID__UINT_UINT) (gpointer data1, guint arg_1, guint arg_2, gpointer data2);
	register GMarshalFunc_VOID__UINT_UINT callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	cc = (GCClosure *) closure;
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_if_fail (n_param_values == 3);
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		data1 = closure->data;
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		data2 = param_values->data[0].v_pointer;
#line 2914 "VideoPlayer.c"
	} else {
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		data1 = param_values->data[0].v_pointer;
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		data2 = closure->data;
#line 2920 "VideoPlayer.c"
	}
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	callback = (GMarshalFunc_VOID__UINT_UINT) (marshal_data ? marshal_data : cc->callback);
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	callback (data1, g_value_get_uint (param_values + 1), g_value_get_uint (param_values + 2), data2);
#line 2926 "VideoPlayer.c"
}


static void g_cclosure_user_marshal_VOID__DOUBLE_DOUBLE (GClosure * closure, GValue * return_value, guint n_param_values, const GValue * param_values, gpointer invocation_hint, gpointer marshal_data) {
	typedef void (*GMarshalFunc_VOID__DOUBLE_DOUBLE) (gpointer data1, gdouble arg_1, gdouble arg_2, gpointer data2);
	register GMarshalFunc_VOID__DOUBLE_DOUBLE callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	cc = (GCClosure *) closure;
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_return_if_fail (n_param_values == 3);
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		data1 = closure->data;
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		data2 = param_values->data[0].v_pointer;
#line 2945 "VideoPlayer.c"
	} else {
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		data1 = param_values->data[0].v_pointer;
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		data2 = closure->data;
#line 2951 "VideoPlayer.c"
	}
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	callback = (GMarshalFunc_VOID__DOUBLE_DOUBLE) (marshal_data ? marshal_data : cc->callback);
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	callback (data1, g_value_get_double (param_values + 1), g_value_get_double (param_values + 2), data2);
#line 2957 "VideoPlayer.c"
}


static void audience_widgets_video_player_class_init (AudienceWidgetsVideoPlayerClass * klass) {
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	audience_widgets_video_player_parent_class = g_type_class_peek_parent (klass);
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_type_class_add_private (klass, sizeof (AudienceWidgetsVideoPlayerPrivate));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_audience_widgets_video_player_get_property;
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_audience_widgets_video_player_set_property;
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	G_OBJECT_CLASS (klass)->finalize = audience_widgets_video_player_finalize;
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), AUDIENCE_WIDGETS_VIDEO_PLAYER_PLAYING, g_param_spec_boolean ("playing", "playing", "playing", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), AUDIENCE_WIDGETS_VIDEO_PLAYER_PROGRESS, g_param_spec_double ("progress", "progress", "progress", -G_MAXDOUBLE, G_MAXDOUBLE, 0.0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), AUDIENCE_WIDGETS_VIDEO_PLAYER_VOLUME, g_param_spec_double ("volume", "volume", "volume", -G_MAXDOUBLE, G_MAXDOUBLE, 0.0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), AUDIENCE_WIDGETS_VIDEO_PLAYER_URI, g_param_spec_string ("uri", "uri", "uri", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), AUDIENCE_WIDGETS_VIDEO_PLAYER_CURRENT_AUDIO, g_param_spec_int ("current-audio", "current-audio", "current-audio", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), AUDIENCE_WIDGETS_VIDEO_PLAYER_CURRENT_TEXT, g_param_spec_int ("current-text", "current-text", "current-text", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), AUDIENCE_WIDGETS_VIDEO_PLAYER_SUBTITLE_FONT, g_param_spec_string ("subtitle-font", "subtitle-font", "subtitle-font", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), AUDIENCE_WIDGETS_VIDEO_PLAYER_VIDEO_WIDTH, g_param_spec_uint ("video-width", "video-width", "video-width", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), AUDIENCE_WIDGETS_VIDEO_PLAYER_VIDEO_HEIGHT, g_param_spec_uint ("video-height", "video-height", "video-height", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_signal_new ("ended", AUDIENCE_WIDGETS_TYPE_VIDEO_PLAYER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_signal_new ("toggle_side_pane", AUDIENCE_WIDGETS_TYPE_VIDEO_PLAYER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__BOOLEAN, G_TYPE_NONE, 1, G_TYPE_BOOLEAN);
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_signal_new ("text_tags_changed", AUDIENCE_WIDGETS_TYPE_VIDEO_PLAYER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_signal_new ("audio_tags_changed", AUDIENCE_WIDGETS_TYPE_VIDEO_PLAYER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_signal_new ("error", AUDIENCE_WIDGETS_TYPE_VIDEO_PLAYER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_signal_new ("plugin_install_done", AUDIENCE_WIDGETS_TYPE_VIDEO_PLAYER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_signal_new ("configure_window", AUDIENCE_WIDGETS_TYPE_VIDEO_PLAYER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__UINT_UINT, G_TYPE_NONE, 2, G_TYPE_UINT, G_TYPE_UINT);
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_signal_new ("progression_changed", AUDIENCE_WIDGETS_TYPE_VIDEO_PLAYER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_VOID__DOUBLE_DOUBLE, G_TYPE_NONE, 2, G_TYPE_DOUBLE, G_TYPE_DOUBLE);
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	g_signal_new ("external_subtitle_changed", AUDIENCE_WIDGETS_TYPE_VIDEO_PLAYER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__STRING, G_TYPE_NONE, 1, G_TYPE_STRING);
#line 3008 "VideoPlayer.c"
}


static void audience_widgets_video_player_instance_init (AudienceWidgetsVideoPlayer * self) {
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	self->priv = AUDIENCE_WIDGETS_VIDEO_PLAYER_GET_PRIVATE (self);
#line 136 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	self->priv->subtitle_uri = NULL;
#line 356 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	self->priv->intial_relayout = FALSE;
#line 437 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	self->priv->timeout = -1;
#line 3021 "VideoPlayer.c"
}


static void audience_widgets_video_player_finalize (GObject* obj) {
	AudienceWidgetsVideoPlayer * self;
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, AUDIENCE_WIDGETS_TYPE_VIDEO_PLAYER, AudienceWidgetsVideoPlayer);
#line 136 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_free0 (self->priv->subtitle_uri);
#line 161 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_free0 (self->priv->_subtitle_font);
#line 172 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_object_unref0 (self->playbin);
#line 173 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_object_unref0 (self->priv->video);
#line 178 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_g_object_unref0 (self->session_manager);
#line 437 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	_XCloseDisplay0 (self->priv->dpy);
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	G_OBJECT_CLASS (audience_widgets_video_player_parent_class)->finalize (obj);
#line 3043 "VideoPlayer.c"
}


GType audience_widgets_video_player_get_type (void) {
	static volatile gsize audience_widgets_video_player_type_id__volatile = 0;
	if (g_once_init_enter (&audience_widgets_video_player_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (AudienceWidgetsVideoPlayerClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) audience_widgets_video_player_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (AudienceWidgetsVideoPlayer), 0, (GInstanceInitFunc) audience_widgets_video_player_instance_init, NULL };
		GType audience_widgets_video_player_type_id;
		audience_widgets_video_player_type_id = g_type_register_static (clutter_actor_get_type (), "AudienceWidgetsVideoPlayer", &g_define_type_info, 0);
		g_once_init_leave (&audience_widgets_video_player_type_id__volatile, audience_widgets_video_player_type_id);
	}
	return audience_widgets_video_player_type_id__volatile;
}


static void _vala_audience_widgets_video_player_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	AudienceWidgetsVideoPlayer * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, AUDIENCE_WIDGETS_TYPE_VIDEO_PLAYER, AudienceWidgetsVideoPlayer);
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	switch (property_id) {
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		case AUDIENCE_WIDGETS_VIDEO_PLAYER_PLAYING:
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		g_value_set_boolean (value, audience_widgets_video_player_get_playing (self));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		break;
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		case AUDIENCE_WIDGETS_VIDEO_PLAYER_PROGRESS:
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		g_value_set_double (value, audience_widgets_video_player_get_progress (self));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		break;
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		case AUDIENCE_WIDGETS_VIDEO_PLAYER_VOLUME:
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		g_value_set_double (value, audience_widgets_video_player_get_volume (self));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		break;
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		case AUDIENCE_WIDGETS_VIDEO_PLAYER_URI:
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		g_value_take_string (value, audience_widgets_video_player_get_uri (self));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		break;
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		case AUDIENCE_WIDGETS_VIDEO_PLAYER_CURRENT_AUDIO:
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		g_value_set_int (value, audience_widgets_video_player_get_current_audio (self));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		break;
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		case AUDIENCE_WIDGETS_VIDEO_PLAYER_CURRENT_TEXT:
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		g_value_set_int (value, audience_widgets_video_player_get_current_text (self));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		break;
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		case AUDIENCE_WIDGETS_VIDEO_PLAYER_SUBTITLE_FONT:
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		g_value_set_string (value, audience_widgets_video_player_get_subtitle_font (self));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		break;
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		case AUDIENCE_WIDGETS_VIDEO_PLAYER_VIDEO_WIDTH:
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		g_value_set_uint (value, audience_widgets_video_player_get_video_width (self));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		break;
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		case AUDIENCE_WIDGETS_VIDEO_PLAYER_VIDEO_HEIGHT:
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		g_value_set_uint (value, audience_widgets_video_player_get_video_height (self));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		break;
#line 3118 "VideoPlayer.c"
		default:
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		break;
#line 3124 "VideoPlayer.c"
	}
}


static void _vala_audience_widgets_video_player_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	AudienceWidgetsVideoPlayer * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, AUDIENCE_WIDGETS_TYPE_VIDEO_PLAYER, AudienceWidgetsVideoPlayer);
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
	switch (property_id) {
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		case AUDIENCE_WIDGETS_VIDEO_PLAYER_PLAYING:
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		audience_widgets_video_player_set_playing (self, g_value_get_boolean (value));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		break;
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		case AUDIENCE_WIDGETS_VIDEO_PLAYER_PROGRESS:
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		audience_widgets_video_player_set_progress (self, g_value_get_double (value));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		break;
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		case AUDIENCE_WIDGETS_VIDEO_PLAYER_VOLUME:
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		audience_widgets_video_player_set_volume (self, g_value_get_double (value));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		break;
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		case AUDIENCE_WIDGETS_VIDEO_PLAYER_URI:
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		audience_widgets_video_player_set_uri (self, g_value_get_string (value));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		break;
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		case AUDIENCE_WIDGETS_VIDEO_PLAYER_CURRENT_AUDIO:
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		audience_widgets_video_player_set_current_audio (self, g_value_get_int (value));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		break;
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		case AUDIENCE_WIDGETS_VIDEO_PLAYER_CURRENT_TEXT:
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		audience_widgets_video_player_set_current_text (self, g_value_get_int (value));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		break;
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		case AUDIENCE_WIDGETS_VIDEO_PLAYER_SUBTITLE_FONT:
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		audience_widgets_video_player_set_subtitle_font (self, g_value_get_string (value));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		break;
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		case AUDIENCE_WIDGETS_VIDEO_PLAYER_VIDEO_WIDTH:
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		audience_widgets_video_player_set_video_width (self, g_value_get_uint (value));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		break;
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		case AUDIENCE_WIDGETS_VIDEO_PLAYER_VIDEO_HEIGHT:
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		audience_widgets_video_player_set_video_height (self, g_value_get_uint (value));
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		break;
#line 3188 "VideoPlayer.c"
		default:
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 39 "/usr/src/RPM/BUILD/audience-0.1.0.2/src/Widgets/VideoPlayer.vala"
		break;
#line 3194 "VideoPlayer.c"
	}
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}



